/*
 Promitnuti zmeny uctu na dokladu na jeho polozky
 @param tabulka - tabulka do ktere patri doklad (0 - dDoklFak, 1 - dDoklInt, 2 - dDoklSklad)
 @param idDoklad - id dokladu
 @param mdZkl,mdDph,dalZkl,dalDph - ktere ucty se maji nastavit, nastavujou se ty pro ktere je hodnota true
 @newIdUcet - id nastavovaneho uctu
 @typDph - typ sazby dph pro ktery se nastavuje ucet, pokud null podminka se ignoruje

 Autor:        Jan Besta
*/
create or replace function dNastavUctyPolozek(tabulka int, idDoklad int, mdZkl boolean, mdDph boolean,
        dalZkl boolean, dalDph boolean, newIdUcet int, typDph character varying(50)) returns void as $$
declare typPohyb character varying(50);
begin
  if (tabulka = 0) then             -- faktury
    if (mdZkl = true) then
        update dPolFak set idZklMdUcet=newIdUcet where idDoklFak = idDoklad and kopZklMdUcet = true and compareId(idZklMdUcet, newIdUcet) = false;
    end if;
    if (mdDph = true) then
        update dPolFak set idDphMdUcet=newIdUcet where idDoklFak = idDoklad and kopDphMdUcet = true and compareId(idDphMdUcet, newIdUcet) = false and
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);
    end if;
    if (dalZkl = true) then
        update dPolFak set idZklDalUcet=newIdUcet where idDoklFak = idDoklad and kopZklDalUcet = true and compareId(idZklDalUcet, newIdUcet) = false;
    end if;
    if (dalDph = true) then
        update dPolFak set idDphDalUcet=newIdUcet where idDoklFak = idDoklad and kopDphDalUcet = true and compareId(idDphDalUcet, newIdUcet) = false and
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);
    end if;
  else if (tabulka = 1) then        -- int/ban/pok
    if (mdZkl = true) then
        update dPolInt set idZklMdUcet=newIdUcet where idDoklInt = idDoklad and kopZklMdUcet = true and compareId(idZklMdUcet, newIdUcet) = false;
    end if;
    if (mdDph = true) then
        update dPolInt set idDphMdUcet=newIdUcet where idDoklInt = idDoklad and kopDphMdUcet = true and compareId(idDphMdUcet, newIdUcet) = false and
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);
    end if;
    if (dalZkl = true) then
        update dPolInt set idZklDalUcet=newIdUcet where idDoklInt = idDoklad and kopZklDalUcet = true and compareId(idZklDalUcet, newIdUcet) = false;
    end if;
    if (dalDph = true) then
        update dPolInt set idDphDalUcet=newIdUcet where idDoklInt = idDoklad and kopDphDalUcet = true and compareId(idDphDalUcet, newIdUcet) = false and
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);
    end if;
  else if (tabulka = 2) then        -- sklad
    if (mdZkl = true) then
        update dPolSklad set idZklMdUcet=newIdUcet where idDoklSklad = idDoklad and kopZklMdUcet = true and compareId(idZklMdUcet, newIdUcet) = false;
    end if;
    if (mdDph = true) then
        update dPolSklad set idDphMdUcet=newIdUcet where idDoklSklad = idDoklad and kopDphMdUcet = true and compareId(idDphMdUcet, newIdUcet) = false and
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);
    end if;
    if (dalZkl = true) then
        update dPolSklad set idZklDalUcet=newIdUcet where idDoklSklad = idDoklad and kopZklDalUcet = true and compareId(idZklDalUcet, newIdUcet) = false;
    end if;
    if (dalDph = true) then
        update dPolSklad set idDphDalUcet=newIdUcet where idDoklSklad = idDoklad and kopDphDalUcet = true and compareId(idDphDalUcet, newIdUcet) = false and
            ((typDph is null and typszbdphk <> 'typSzbDph.dphOsv') or typszbdphk = typDph);
    end if;
  else
    -- chyba
  end if;
  end if;
  end if;
end;
$$ LANGUAGE plpgsql;