--------------------------------------------------------------------------------
-- Bug 46070 - Při importu z XLS se netrimuje kód na ceníku ale ceník ve skladových kartách ano 
--------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION opravtrim(_table character varying, _col character varying)
  RETURNS void AS
$BODY$ 
declare 
begin 
  EXECUTE ' UPDATE ' || _table || ' SET ' || _col || ' = trim('|| _col ||') WHERE ' || _col || ' <> trim(' || _col ||')';
end; 
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION opravtrim(character varying, character varying)
  OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
 values (nextval('seq_dbversion'), 1055, 't', %appVersion%, clock_timestamp());
