-----------------------------------------------------------------------
-- Bug 46063 - Automatické rezervace rezervují i jiné moduly než OBP
-----------------------------------------------------------------------

ALTER TABLE dpolobch DISABLE TRIGGER ALL;

-- příznak rezerovovat může být true jen v případě OBP, jinak nemá smysl
update dpolobch set rezervovat = false WHERE modul <> 'OBP' and rezervovat = true;

ALTER TABLE dpolobch ENABLE TRIGGER ALL;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
 values (nextval('seq_dbversion'), 1058, 't', %appVersion%, clock_timestamp());