--------------------------------------------------------------------------------
-- Bug 46389 - Rozvaha a výsledovka nedostatečný překlad do NJ (AJ?)    
--------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION runupgrade()
RETURNS void AS $$
DECLARE
  _idtyporgread integer;
BEGIN
  select idtyporg into _idtyporgread from nnastav limit 1;

  -- sestavy aktualizujeme jen pro cechy
  IF (_idtyporgread = 1) THEN
    UPDATE usesradky SET nazevb = 'SUMME AKTIVA' WHERE idsesradky = 201;
    UPDATE usesradky SET nazevb = 'Ausstehende Einlagen auf das gezeichnete Kapital' WHERE idsesradky = 202;
    UPDATE usesradky SET nazevb = 'Langfristiges Vermögensgegenstände' WHERE idsesradky = 203;
    UPDATE usesradky SET nazevb = 'Langfristige immaterielle Vermögensgegenstände' WHERE idsesradky = 204;
    UPDATE usesradky SET nazevb = 'Immaterielle Ergebnisse der Forschung und Entwicklung' WHERE idsesradky = 205;
    UPDATE usesradky SET nazevb = 'Bewertbare Rechte' WHERE idsesradky = 206;
    UPDATE usesradky SET nazevb = 'Software' WHERE idsesradky = 207;
    UPDATE usesradky SET nazevb = 'Bewertbare Rechte' WHERE idsesradky = 208;
    UPDATE usesradky SET nazevb = 'Goodwill' WHERE idsesradky = 209;
    UPDATE usesradky SET nazevb = 'Sonstige langfristige immaterielle Vermögensgegenstände' WHERE idsesradky = 210;
    UPDATE usesradky SET nazevb = 'Geleistete Anzahlungen auf langfristige immaterielle Vermögensgegenstände und Langfristige immaterielle Vermögensgegenstände im Bau' WHERE idsesradky = 211;
    UPDATE usesradky SET nazevb = 'Geleistete Anzahlungen auf langfristige immaterielle Vermögensgegenstände' WHERE idsesradky = 212;
    UPDATE usesradky SET nazevb = 'Langfristige immaterielle Vermögensgegenstände im Bau' WHERE idsesradky = 213;
    UPDATE usesradky SET nazevb = 'Langfristige Sachanlagen' WHERE idsesradky = 214;
    UPDATE usesradky SET nazevb = 'Grundstücke und Bauten' WHERE idsesradky = 215;
    UPDATE usesradky SET nazevb = 'Grundstücke' WHERE idsesradky = 216;
    UPDATE usesradky SET nazevb = 'Bauten' WHERE idsesradky = 217;
    UPDATE usesradky SET nazevb = 'Bewegliches Sachanlagevermögen' WHERE idsesradky = 218;
    UPDATE usesradky SET nazevb = 'Bewertungsunterschied zum erworbenen Vermögen' WHERE idsesradky = 219;
    UPDATE usesradky SET nazevb = 'Sonstige langfristige Sachanlagen' WHERE idsesradky = 220;
    UPDATE usesradky SET nazevb = 'Kulturland' WHERE idsesradky = 221;
    UPDATE usesradky SET nazevb = 'Stammherde und Zugtiere' WHERE idsesradky = 222;
    UPDATE usesradky SET nazevb = 'Sonstige langfristige Sachanlagen' WHERE idsesradky = 223;
    UPDATE usesradky SET nazevb = 'Geleistete Anzahlungen auf langfristige Sachanlagen und Langfristige Sachanlagen im Bau' WHERE idsesradky = 224;
    UPDATE usesradky SET nazevb = 'Geleistete Anzahlungen auf langfristige Sachanlagen' WHERE idsesradky = 225;
    UPDATE usesradky SET nazevb = 'Langfristige Sachanlagen im Bau', nazevc = '' WHERE idsesradky = 226;
    UPDATE usesradky SET nazevb = 'Langfristige Finanzanlagen' WHERE idsesradky = 227;
    UPDATE usesradky SET nazevb = 'Anteile in beherrschten Personen oder herrshcende Personen' WHERE idsesradky = 228;
    UPDATE usesradky SET nazevb = 'Darlehen und Kredite - an beherrschten Personen oder herrshcende Personen' WHERE idsesradky = 229;
    UPDATE usesradky SET nazevb = 'Anteile in Buchhaltungseinheiten unter wesentlichem Einfluss' WHERE idsesradky = 230;
    UPDATE usesradky SET nazevb = 'Darlehen und Kredite - Buchhaltungseinheiten unter wesentlichem Einfluss' WHERE idsesradky = 231;
    UPDATE usesradky SET nazevb = 'Sonstige langfristige Wertpapiere und Anteile' WHERE idsesradky = 232;
    UPDATE usesradky SET nazevb = 'Darlehen und Kredite - Sonstige' WHERE idsesradky = 233;
    UPDATE usesradky SET nazevb = 'Sonstige langfristige Finanzanlagen' WHERE idsesradky = 234;
    UPDATE usesradky SET nazevb = 'Sonstige langfristige Finanzanlagen' WHERE idsesradky = 235;
    UPDATE usesradky SET nazevb = 'Gewährte Anzahlungen für langfristige Finanzanlagen' WHERE idsesradky = 236;
    UPDATE usesradky SET nazevb = 'Umlaufvermögen' WHERE idsesradky = 237;
    UPDATE usesradky SET nazevb = 'Vorräte' WHERE idsesradky = 238;
    UPDATE usesradky SET nazevb = 'Material' WHERE idsesradky = 239;
    UPDATE usesradky SET nazevb = 'Unfertige Erzeugnisse und Halbfabrikate' WHERE idsesradky = 240;
    UPDATE usesradky SET nazevb = 'Fertige Erzeugnisse a Waren' WHERE idsesradky = 241;
    UPDATE usesradky SET nazevb = 'Fertige Erzeugnisse' WHERE idsesradky = 242;
    UPDATE usesradky SET nazevb = 'Waren' WHERE idsesradky = 243;
    UPDATE usesradky SET nazevb = 'Tiere' WHERE idsesradky = 244;
    UPDATE usesradky SET nazevb = 'Geleistete Anzahlungen auf Vorräte' WHERE idsesradky = 245;
    UPDATE usesradky SET nazevb = 'Forderungen' WHERE idsesradky = 246;
    UPDATE usesradky SET nazevb = 'Langfristige Forderungen' WHERE idsesradky = 247;
    UPDATE usesradky SET nazevb = 'Forderungen aus Geschäftsbeziehungen' WHERE idsesradky = 248;
    UPDATE usesradky SET nazevb = 'Forderungen bei beherrschten und herrschenden Personen' WHERE idsesradky = 249;
    UPDATE usesradky SET nazevb = 'Forderungen bei Buchhaltungseinheiten unter wesentlichem Einfluss' WHERE idsesradky = 250;
    UPDATE usesradky SET nazevb = 'Verschobene Steuerforderung' WHERE idsesradky = 251;
    UPDATE usesradky SET nazevb = 'Sonstige Forderungen' WHERE idsesradky = 252;
    UPDATE usesradky SET nazevb = 'Forderungen bei Gesellschaftern' WHERE idsesradky = 253;
    UPDATE usesradky SET nazevb = 'Langfristige gewährte Vorschüsse' WHERE idsesradky = 254;
    UPDATE usesradky SET nazevb = 'Schätzungskonten aktive' WHERE idsesradky = 255;
    UPDATE usesradky SET nazevb = 'Sonstige Forderungen' WHERE idsesradky = 256;
    UPDATE usesradky SET nazevb = 'Kurzfristige Forderungen' WHERE idsesradky = 257;
    UPDATE usesradky SET nazevb = 'Forderungen aus Geschäftsbeziehungen' WHERE idsesradky = 258;
    UPDATE usesradky SET nazevb = 'Forderungen bei beherrschten und herrschenden Personen' WHERE idsesradky = 259;
    UPDATE usesradky SET nazevb = 'Forderungen bei Gesellschaftern' WHERE idsesradky = 260;
    UPDATE usesradky SET nazevb = 'Sonstige Forderungen' WHERE idsesradky = 261;
    UPDATE usesradky SET nazevb = 'Forderungen bei Gesellschaftern, Genossenschafts mitgliedern und Beteiligten an der Vereinigung' WHERE idsesradky = 262;
    UPDATE usesradky SET nazevb = 'Sozialversicherung und Krankenkasse' WHERE idsesradky = 263;
    UPDATE usesradky SET nazevb = 'Staat - Steuerforderungen' WHERE idsesradky = 264;
    UPDATE usesradky SET nazevb = 'Kurzfristige gewährte Vorschüsse' WHERE idsesradky = 265;
    UPDATE usesradky SET nazevb = 'Schätzungskonten aktive' WHERE idsesradky = 266;
    UPDATE usesradky SET nazevb = 'Sonstige Forderungen' WHERE idsesradky = 267;
    UPDATE usesradky SET nazevb = 'Kurzfristige Finanzvermögen' WHERE idsesradky = 268;
    UPDATE usesradky SET nazevb = 'Anteile in beherrschten Personen oder herrschende Personen' WHERE idsesradky = 269;
    UPDATE usesradky SET nazevb = 'Sonstige Kurzfristige Finanzvermögen ' WHERE idsesradky = 270;
    UPDATE usesradky SET nazevb = 'Kasse und Bank' WHERE idsesradky = 271;
    UPDATE usesradky SET nazevb = 'Kasse' WHERE idsesradky = 272;
    UPDATE usesradky SET nazevb = 'Bank' WHERE idsesradky = 273;
    UPDATE usesradky SET nazevb = 'Rechnungsabgrenzungsposten' WHERE idsesradky = 274;
    UPDATE usesradky SET nazevb = 'Aufwendungen künftiger Perioden' WHERE idsesradky = 275;
    UPDATE usesradky SET nazevb = 'Komplexe Kosten der nächsten Perioden' WHERE idsesradky = 276;
    UPDATE usesradky SET nazevb = 'Einkommen der nächsten Perioden' WHERE idsesradky = 277;
    UPDATE usesradky SET nazevb = 'SUMME PASSIVA' WHERE idsesradky = 278;
    UPDATE usesradky SET nazevb = 'Eigenkapital' WHERE idsesradky = 279;
    UPDATE usesradky SET nazevb = 'Gezeichnetes Kapital' WHERE idsesradky = 280;
    UPDATE usesradky SET nazevb = 'Gezeichnetes Kapital' WHERE idsesradky = 281;
    UPDATE usesradky SET nazevb = 'Eigene Geschäftsanteile (-)' WHERE idsesradky = 282;
    UPDATE usesradky SET nazevb = 'Veränderungen des Gezeichneten Kapital' WHERE idsesradky = 283;
    UPDATE usesradky SET nazevb = 'Aufgeld (Agio) und Kapitalrücklagen' WHERE idsesradky = 284;
    UPDATE usesradky SET nazevb = 'Aufgeld (Agio)' WHERE idsesradky = 285;
    UPDATE usesradky SET nazevb = 'Kapitalrücklagen' WHERE idsesradky = 286;
    UPDATE usesradky SET nazevb = 'Sonstige Kapitalrücklagen' WHERE idsesradky = 287;
    UPDATE usesradky SET nazevb = 'Differenzen aus der Neubewertung des Anlagevermögens und der Verbindlichkeiten' WHERE idsesradky = 288;
    UPDATE usesradky SET nazevb = 'Differenzen aus der Neubewertung bei Transformationen der Gesselschaft' WHERE idsesradky = 289;
    UPDATE usesradky SET nazevb = 'Differenzen bei Transformationen der Gesselschaft (+/-)' WHERE idsesradky = 290;
    UPDATE usesradky SET nazevb = 'Differenzen aus der Bewertung bei Transformationen der Gesselschaft (+/-)' WHERE idsesradky = 291;
    UPDATE usesradky SET nazevb = 'Reservefonds, unteilbare Fonds und sonstige Fonds aus dem Gewinn' WHERE idsesradky = 292;
    UPDATE usesradky SET nazevb = 'Sonstige Gesetzliche Rücklage / Nicht verteilbare Rücklage' WHERE idsesradky = 293;
    UPDATE usesradky SET nazevb = 'Satzungsmäßige und sonstige Rücklagen' WHERE idsesradky = 294;
    UPDATE usesradky SET nazevb = 'Wirtschaftsergebnisvortrag' WHERE idsesradky = 295;
    UPDATE usesradky SET nazevb = 'Gewinnvortrag' WHERE idsesradky = 296;
    UPDATE usesradky SET nazevb = 'Verlustvortrag (-)' WHERE idsesradky = 297;
    UPDATE usesradky SET nazevb = 'Andere Wirtschaftsergebnisvortrag (+/-)' WHERE idsesradky = 298;
    UPDATE usesradky SET nazevb = 'Wirtschaftsergebnis/ - fehlbetrag (+/-)  ' WHERE idsesradky = 299;
    UPDATE usesradky SET nazevb = 'Über die Vorschüsse auf Gewinnausschüttung Entscheidung getroffen (-)' WHERE idsesradky = 300;
    UPDATE usesradky SET nazevb = 'FREMD KAPITAL' WHERE idsesradky = 301;
    UPDATE usesradky SET nazevb = 'Rückstellungen' WHERE idsesradky = 302;
    UPDATE usesradky SET nazevb = 'Reserve für Renten und ähnliche Verpflichtungen' WHERE idsesradky = 303;
    UPDATE usesradky SET nazevb = 'Rückstellungen auf Einkommensteuer' WHERE idsesradky = 304;
    UPDATE usesradky SET nazevb = 'Reserven nach Sonderrechtsvorschriften' WHERE idsesradky = 305;
    UPDATE usesradky SET nazevb = 'Sonstige Rückstellungen' WHERE idsesradky = 306;
    UPDATE usesradky SET nazevb = 'Verbindlichkeiten' WHERE idsesradky = 307;
    UPDATE usesradky SET nazevb = 'Langfristige Verbindlichkeiten ' WHERE idsesradky = 308;
    UPDATE usesradky SET nazevb = 'Ausgegebene Schuldbriefe' WHERE idsesradky = 309;
    UPDATE usesradky SET nazevb = 'Austauschbare Schuldverschreibungen' WHERE idsesradky = 310;
    UPDATE usesradky SET nazevb = 'Sonstige Schuldbriefe' WHERE idsesradky = 311;
    UPDATE usesradky SET nazevb = 'Verpflichtungen gegenüber Kreditinstituten' WHERE idsesradky = 312;
    UPDATE usesradky SET nazevb = 'Langfristige empfangene Vorschüsse' WHERE idsesradky = 313;
    UPDATE usesradky SET nazevb = 'Verpflichtungen aus Geschäftsbeziehungen' WHERE idsesradky = 314;
    UPDATE usesradky SET nazevb = 'Langfristige Wechsel zur Begleichung' WHERE idsesradky = 315;
    UPDATE usesradky SET nazevb = 'Verpflichtungen gegenüber beherrschten und herrschenden Personen' WHERE idsesradky = 316;
    UPDATE usesradky SET nazevb = 'Verpflichtungen gegenüber Buchhaltungseinheiten unter wesentlichem Einfluss' WHERE idsesradky = 317;
    UPDATE usesradky SET nazevb = 'Verschobene Steuerverpflichtung' WHERE idsesradky = 318;
    UPDATE usesradky SET nazevb = 'Sonstige Verpflichtungen' WHERE idsesradky = 319;
    UPDATE usesradky SET nazevb = 'Verpflichtungen gegenüber Gesellschaftern' WHERE idsesradky = 320;
    UPDATE usesradky SET nazevb = 'Schätzungskonten passive' WHERE idsesradky = 321;
    UPDATE usesradky SET nazevb = 'Sonstige Verpflichtungen' WHERE idsesradky = 322;
    UPDATE usesradky SET nazevb = 'Kurzfristige Verbindlichkeiten' WHERE idsesradky = 323;
    UPDATE usesradky SET nazevb = 'Ausgegebene Schuldverschreibungen' WHERE idsesradky = 324;
    UPDATE usesradky SET nazevb = 'Austauschbare Schuldverschreibungen' WHERE idsesradky = 325;
    UPDATE usesradky SET nazevb = 'Sonstige Schuldverschreibungen' WHERE idsesradky = 326;
    UPDATE usesradky SET nazevb = 'Verpflichtungen gegenüber Kreditinstituten' WHERE idsesradky = 327;
    UPDATE usesradky SET nazevb = 'Kurzfristige empfangene Vorschüsse' WHERE idsesradky = 328;
    UPDATE usesradky SET nazevb = 'Verpflichtungen aus Geschäftsbeziehungen' WHERE idsesradky = 329;
    UPDATE usesradky SET nazevb = 'Kurzfristige Wechsel zur Zahlung' WHERE idsesradky = 330;
    UPDATE usesradky SET nazevb = 'Verpflichtungen gegenüber beherrschten und herrschenden Personen' WHERE idsesradky = 331;
    UPDATE usesradky SET nazevb = 'Verpflichtungen gegenüber Buchhaltungseinheiten unter wesentlichem Einfluss' WHERE idsesradky = 332;
    UPDATE usesradky SET nazevb = 'Sonstige Verbindlichkeiten' WHERE idsesradky = 333;
    UPDATE usesradky SET nazevb = 'Verpflichtungen gegenüber Gesellschaftern' WHERE idsesradky = 334;
    UPDATE usesradky SET nazevb = 'Kurzfristige finanzielle Hilfe' WHERE idsesradky = 335;
    UPDATE usesradky SET nazevb = 'Verbindlichkeiten gegenüber Arbeitnehmern' WHERE idsesradky = 336;
    UPDATE usesradky SET nazevb = 'Verbindlichkeiten aus Sozialversicherungen und aus Krankenkasse' WHERE idsesradky = 337;
    UPDATE usesradky SET nazevb = 'Steuerverbindlichkeiten und staatliche Zuschüsse' WHERE idsesradky = 338;
    UPDATE usesradky SET nazevb = 'Schätzungskonten passive' WHERE idsesradky = 339;
    UPDATE usesradky SET nazevb = 'Sonstige Verbindlichkeiten' WHERE idsesradky = 340;
    UPDATE usesradky SET nazevb = 'Rechnungsabgrenzungsposten' WHERE idsesradky = 341;
    UPDATE usesradky SET nazevb = 'Ausgaben künftiger Perioden' WHERE idsesradky = 342;
    UPDATE usesradky SET nazevb = 'Erträge künftiger Perioden' WHERE idsesradky = 343;
    UPDATE usesradky SET nazevb = 'Umsatzerlöse aus dem Verkauf eigener Erzeugnisse und Dienstleistungen' WHERE idsesradky = 344;
    UPDATE usesradky SET nazevb = 'Umsatzerlöse aus Warenverkäufen' WHERE idsesradky = 345;
    UPDATE usesradky SET nazevb = 'Fertigungsaufwand' WHERE idsesradky = 346;
    UPDATE usesradky SET nazevb = 'Aufwendungen für verkaufte Ware' WHERE idsesradky = 347;
    UPDATE usesradky SET nazevb = 'Material - und Energieverbrauch' WHERE idsesradky = 348;
    UPDATE usesradky SET nazevb = 'Bezogene Dienstleistungen' WHERE idsesradky = 349;
    UPDATE usesradky SET nazevb = 'Änderung des Bestandes an eigenen Täligkeiten (+/-)' WHERE idsesradky = 350;
    UPDATE usesradky SET nazevb = 'Andere aktivierte Eigenleistungen (-)' WHERE idsesradky = 351;
    UPDATE usesradky SET nazevb = 'Personalaufwand' WHERE idsesradky = 352;
    UPDATE usesradky SET nazevb = 'Löhne und Gehälter' WHERE idsesradky = 353;
    UPDATE usesradky SET nazevb = 'Sozialversicherung und Krankenkasse und Sonstige Sozialaufwendungen   ' WHERE idsesradky = 354;
    UPDATE usesradky SET nazevb = 'Sozialversicherung und Krankenkasse' WHERE idsesradky = 355;
    UPDATE usesradky SET nazevb = 'Sonstige Sozialaufwendungen' WHERE idsesradky = 356;
    UPDATE usesradky SET nazevb = 'Wertanpassungen im Betriebsbereich' WHERE idsesradky = 357;
    UPDATE usesradky SET nazevb = 'Wertanpassungen auf langfristige immaterielle und materielle Vermögensgegenstände' WHERE idsesradky = 358;
    UPDATE usesradky SET nazevb = 'Wertanpassungen auf langfristige immaterielle und materielle Vermögensgegenstände  - dauerhaft' WHERE idsesradky = 359;
    UPDATE usesradky SET nazevb = 'Wertanpassungen auf langfristige immaterielle und materielle Vermögensgegenstände  - zeitweilig' WHERE idsesradky = 360;
    UPDATE usesradky SET nazevb = 'Wertanpassungen für Vorräte' WHERE idsesradky = 361;
    UPDATE usesradky SET nazevb = 'Wertanpassungen für Forderungen' WHERE idsesradky = 362;
    UPDATE usesradky SET nazevb = 'Sonstige betriebliche Erträge' WHERE idsesradky = 363;
    UPDATE usesradky SET nazevb = 'Erlöse aus dem Verkauf langfristigen Vermögens' WHERE idsesradky = 364;
    UPDATE usesradky SET nazevb = 'Erlöse aus dem Verkauf des Materials' WHERE idsesradky = 365;
    UPDATE usesradky SET nazevb = 'Sonstige betriebliche Erträge' WHERE idsesradky = 366;
    UPDATE usesradky SET nazevb = 'Sonstige betriebliche Aufwendungen' WHERE idsesradky = 367;
    UPDATE usesradky SET nazevb = 'Restbuchwert der verkauften langfristigen Gegenstände des Anlagevermögens' WHERE idsesradky = 368;
    UPDATE usesradky SET nazevb = 'Restbuchwert der verkauften langfristigen Material' WHERE idsesradky = 369;
    UPDATE usesradky SET nazevb = 'Steuer und Gebühren im Betriebsbereich' WHERE idsesradky = 370;
    UPDATE usesradky SET nazevb = 'Reserven im Betriebsbereich und komplexe Kosten der künftigen Perioden' WHERE idsesradky = 371;
    UPDATE usesradky SET nazevb = 'Sonstige betriebliche Aufwendungen' WHERE idsesradky = 372;
    UPDATE usesradky SET nazevb = 'Betriebswirtschaftsergebnis' WHERE idsesradky = 373;
    UPDATE usesradky SET nazevb = 'Erträge aus langfristigen Finanzanlagen - Anteile' WHERE idsesradky = 374;
    UPDATE usesradky SET nazevb = 'Ertäge aus Anteilen bei beherrschten und herrschenden Personen' WHERE idsesradky = 375;
    UPDATE usesradky SET nazevb = 'Sonstige Ertäge aus Anteilen' WHERE idsesradky = 376;
    UPDATE usesradky SET nazevb = 'Für verkaufte Anteile aufgewendete Kosten' WHERE idsesradky = 377;
    UPDATE usesradky SET nazevb = 'Erträge aus sonstigen langfristigen Finanzanlagen' WHERE idsesradky = 378;
    UPDATE usesradky SET nazevb = 'Erträge aus sonstigen langfristigen Finanzanlagen bei beherrschten und herrschenden Personen' WHERE idsesradky = 379;
    UPDATE usesradky SET nazevb = 'Andere Erträge aus sonstigen langfristigen Finanzanlagen' WHERE idsesradky = 380;
    UPDATE usesradky SET nazevb = 'Mit sonstigem langfristigem Finanzvermögen verbundene Kosten' WHERE idsesradky = 381;
    UPDATE usesradky SET nazevb = 'Zinserträge und sonstige Erträge' WHERE idsesradky = 382;
    UPDATE usesradky SET nazevb = 'Zinserträge und sonstige Erträge bei beherrschten und herrschenden Personen' WHERE idsesradky = 383;
    UPDATE usesradky SET nazevb = 'Andere Zinserträge und sonstige Erträge' WHERE idsesradky = 384;
    UPDATE usesradky SET nazevb = 'Wertanpassungen und Reserven im Finanzbereich' WHERE idsesradky = 385;
    UPDATE usesradky SET nazevb = 'Zinsaufwendungen und sonstige Kosten' WHERE idsesradky = 386;
    UPDATE usesradky SET nazevb = 'Zinsaufwendungen und sonstige Kosten bei beherrschten und herrschenden Personen' WHERE idsesradky = 387;
    UPDATE usesradky SET nazevb = 'Andere Zinsaufwandungen und sonstige Kosten' WHERE idsesradky = 388;
    UPDATE usesradky SET nazevb = 'Sonstige Finanzerträge' WHERE idsesradky = 389;
    UPDATE usesradky SET nazevb = 'Sonstige Finanzaufwendungen' WHERE idsesradky = 390;
    UPDATE usesradky SET nazevb = 'Finanzwirtschaftsergebnis (+/-)' WHERE idsesradky = 391;
    UPDATE usesradky SET nazevb = 'Betriebsergebnis vor Steuer  (+/-)' WHERE idsesradky = 392;
    UPDATE usesradky SET nazevb = 'Steuern vom Einkommen' WHERE idsesradky = 393;
    UPDATE usesradky SET nazevb = 'Fällige Steuern' WHERE idsesradky = 394;
    UPDATE usesradky SET nazevb = 'Latente Steuern (+/-)' WHERE idsesradky = 395;
    UPDATE usesradky SET nazevb = 'Wirtschaftsergebnis nach Steuern (+/-)' WHERE idsesradky = 396;
    UPDATE usesradky SET nazevb = 'Übertrag des Wirtschaftergebnisanteils der Gesellschaftern (+/-)' WHERE idsesradky = 397;
    UPDATE usesradky SET nazevb = 'Wirtschaftsergebnis / Jahresfehlbetrag (+/-)' WHERE idsesradky = 398;
    UPDATE usesradky SET nazevb = 'Nettoumsatz der Buchungsperiode = I. + II. + III. + IV. + V. + VI. + VII' WHERE idsesradky = 399;

  END IF;
  RETURN;
 END;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;
   
select runupgrade();
drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
 values (nextval('seq_dbversion'), 1097, 't', %appVersion%, clock_timestamp());
