-----------------------------------------------------------------------
-- Bug 16349 – [WinStrom] Výchozí hodnota DB zámku by měla být OTEVŘENO
-----------------------------------------------------------------------

-- Nastavení výchozí hodnoty (např. nutné pro tvorbu dokladů z triggerů)
ALTER TABLE ddoklfak
  ALTER COLUMN zamekk SET DEFAULT 'zamek.otevreno';
ALTER TABLE ddoklint
  ALTER COLUMN zamekk SET DEFAULT 'zamek.otevreno';
ALTER TABLE ddoklsklad
  ALTER COLUMN zamekk SET DEFAULT 'zamek.otevreno';
ALTER TABLE ddoklobch
  ALTER COLUMN zamekk SET DEFAULT 'zamek.otevreno';
ALTER TABLE mmajetek
  ALTER COLUMN zamekk SET DEFAULT 'zamek.otevreno';


-- Vyplnění NULL hodnot
UPDATE ddoklfak SET zamekk = 'zamek.otevreno' WHERE zamekk IS NULL;
UPDATE ddoklint SET zamekk = 'zamek.otevreno' WHERE zamekk IS NULL;
UPDATE ddoklsklad SET zamekk = 'zamek.otevreno' WHERE zamekk IS NULL;
UPDATE ddoklobch SET zamekk = 'zamek.otevreno' WHERE zamekk IS NULL;

UPDATE mmajetek SET zamekk = 'zamek.otevreno' WHERE zamekk IS NULL;


insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 167, 't');