--------------------------------------------------------------------------------
-- Bug 17055 – [Winstrom] Doplňování poplatků do dokladů
--------------------------------------------------------------------------------

ALTER TABLE dpolfak
  ADD COLUMN idpolfakpoplatek integer,
  ADD CONSTRAINT dpolfak_idpolfakpoplatek FOREIGN KEY (idpolfakpoplatek)
      REFERENCES dpolfak (idpolfak)
      ON UPDATE NO ACTION ON DELETE NO ACTION;

ALTER TABLE dpolint
  ADD COLUMN idpolintpoplatek integer,
  ADD CONSTRAINT dpolint_idpolintpoplatek FOREIGN KEY (idpolintpoplatek)
      REFERENCES dpolint (idpolint)
      ON UPDATE NO ACTION ON DELETE NO ACTION;

ALTER TABLE dpolobch
  ADD COLUMN idpolobchpoplatek integer,
  ADD CONSTRAINT dpolobch_idpolobchpoplatek FOREIGN KEY (idpolobchpoplatek)
      REFERENCES dpolobch (idpolobch)
      ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX dpolfak_idpolfakpoplatek_index ON dpolfak USING btree (idpolfakpoplatek);
CREATE INDEX dpolint_idpolintpoplatek_index ON dpolint USING btree (idpolintpoplatek);
CREATE INDEX dpolobch_idpolobchpoplatek_index ON dpolobch USING btree (idpolobchpoplatek);


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 196, 't');