CREATE SEQUENCE seq_wsetting
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;
    
ALTER TABLE public.seq_wsetting OWNER TO %firmaRole%;

CREATE TABLE wsetting (
        idSetting integer DEFAULT nextval('seq_wsetting'::regclass) NOT NULL,
        klic character varying(50) NOT NULL,
        hodnota character varying(255),
        iduzivatel integer DEFAULT 0 NOT NULL
);

ALTER TABLE public.wsetting OWNER TO %firmaRole%;

ALTER TABLE ONLY wsetting
        ADD CONSTRAINT wsetting_pkey PRIMARY KEY (idSetting);

ALTER TABLE ONLY wsetting
        ADD CONSTRAINT wsetting_klic_key UNIQUE (klic, iduzivatel);

-- zvyseni cisla verze db
insert into dbversion(iddbversion, dbversion, needreimport)
        values (nextval('seq_dbversion'), 25, 't');
