---------------------------------------------------------------------
-- Bug 18136 – [WinStrom]Jelínek-přidělat další adresu pro FO-adresa sídla firmy(nutné pro faktury) a bydliště (pro přiznání) k DPH) se neshoduje
-- Bug 18435 – [WinStrom] Jmeno, prijmeni a titul u fyzicke osoby
---------------------------------------------------------------------

alter table nnastav add column fakturacniShodna boolean DEFAULT true NOT NULL;
alter table nnastav add column postUlice character varying(255);
alter table nnastav add column postCisPop character varying(50);
alter table nnastav add column postCisOr character varying(50);
alter table nnastav add column postMesto character varying(255);
alter table nnastav add column postPsc character varying(255);
alter table nnastav add column idPostStatu integer;

alter table nnastav add column fyzOsJmeno character varying(255);
alter table nnastav add column fyzOsPrijmeni character varying(255);
alter table nnastav add column fyzOsTitul character varying(50);

-- postovni adresa bude mit hodnotu to co bylo dnes ve fakturacni
update nnastav set
    postUlice = faUlice,
    postCisPop = faCisPop,
    postCisOr = faCisOr,
    postMesto = faMesto,
    postPsc = faPsc,
    idPostStatu = idfastatu;

-- fakturacni adresa bude vsude prazdna
update nnastav set
    faUlice = null,
    faCisPop = null,
    faCisOr = null,
    faMesto = null,
    faPsc = null,
    idfastatu = null;

ALTER TABLE ONLY nnastav
    ADD CONSTRAINT nnastav_postStatu_id FOREIGN KEY (idPostStatu) REFERENCES astaty (idstatu);

CREATE INDEX nNastav_IdPostStatu_index ON nNastav USING btree (idPostStatu);


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 285, 't');

