--------------------------------------------------------------------------------
-- Bug 21649 – [WinStrom] Synchronizovat vybrane tabulky Axesu s AT Computers
--------------------------------------------------------------------------------

alter table wextid
    add column idUzel integer,
    add column idVazUzel integer,
    add constraint wextid_idUzel FOREIGN KEY (idUzel)
      REFERENCES wuzel (idUzel) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE,
    add constraint wextid_idVazUzel FOREIGN KEY (idVazUzel)
      REFERENCES wvazuzel (idVazUzel) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

CREATE INDEX wExtId_IdUzel_index ON wExtId USING btree (IdUzel);
CREATE INDEX wExtId_IdVazUzel_index ON wExtId USING btree (IdVazUzel);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 421, 't', %appVersion%, clock_timestamp());