--------------------------------------------------------------------------------
-- Bug 28477 – [winstrom] - Mzdy - opravit v kalkulačce rozsah bonusů na děti
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
-- inicializace
-- radky
UPDATE pmzdcalc SET popis = '2012-02-29', dohodnoty = 5025.0 WHERE idmzdcalc = 2366;
UPDATE pmzdcalc SET popis = '2012-02-29', dohodnoty = 5025.0 WHERE idmzdcalc = 2367;

-- parametry pomeru
UPDATE ptyppracpomparam SET kod = 'ZÁKL.SP-1 PRAC.POMĚR', nazev = 'Nulování sociálního pojištění do částky 2499', popis = '2012-02-29', idcismzdsloz = 162 WHERE idtyppracpomparam = 81;

-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 594, 't', %appVersion%, clock_timestamp());
