--------------------------------------------------------------------------------
-- Bug 29818 – Účtová osnova neziskové organizace
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    _idtyporg integer;
begin
  select idtyporg into _idtyporg from nnastav where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);

  if (_idtyporg = 4) then

-- uprava uctu
UPDATE ustducty SET kod = '911', uuid = 'CZ_NEZ_911' WHERE uuid = 'CZ_NEZ_902';

UPDATE uucty SET kod = '911' || substring(kod from 4) WHERE idstducet = (select idstducet from ustducty where uuid = 'CZ_NEZ_911');

  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 621, 't', %appVersion%, clock_timestamp());
