--------------------------------------------------------------------------------
-- Bug 34543 – [FlexiBee] Umožnit tisk nad uloženým dotazem
--------------------------------------------------------------------------------

CREATE TABLE wdotaz_wreport(
  iddotaz integer NOT NULL,
  idreport integer NOT NULL,
  CONSTRAINT wdotaz_wreport_pkey PRIMARY KEY (iddotaz , idreport ),
  CONSTRAINT wdotaz_wreport_iddotaz FOREIGN KEY (iddotaz)
      REFERENCES wdotazy (iddotaz) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT wdotaz_wreport_idreport FOREIGN KEY (idreport)
      REFERENCES wreport (idreport) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);
ALTER TABLE wdotaz_wreport OWNER TO %firmaRole%;

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 739, 't', %appVersion%, clock_timestamp());
