-- Bug 13397 – [WINSTROM]-Položka výdejky neobsahuje šarži a expiraci

-- Function: sfifovydej(integer, integer, integer, integer, numeric)
-- DROP FUNCTION sfifovydej(integer, integer, integer, integer, numeric);
CREATE OR REPLACE FUNCTION sfifovydej(idvydej integer, idcenikvydej integer, idskladvydej integer, idkartyvydej integer, vyd numeric)
  RETURNS void AS
$BODY$     
declare     
	_zaznam Record;     
         _vybrano numeric(19,6);   
         _i integer;   
         _novevydcelkem numeric(19,6);   
         _pocet numeric(19,6);   
         _cenamjP numeric(19,6);  
	 _kurzDokladuP numeric(19,6); 
	 _kurzDokladuV numeric(19,6); 
	 _idDoklSkladP integer;  
         _idDoklSkladV integer; 
         _datVystV date; 
         _idrozlozeni integer;   
         _vydexpir boolean;   
         _vyrcis character varying(255);   
         _sklfifo boolean;
         _sarze character varying(255);     
begin     
  _vybrano := 0;   
  _i := 1;   
  _novevydcelkem := vyd;   
  if (idvydej>0) then   
           select vydexpir into _vydexpir from skarty where idkarty=idkartyvydej limit 1;
           select sarze into _sarze from dpolsklad where idpolsklad = idvydej;   
           if (not _vydexpir) then   
                    --pořadí výdeje dle datvyst (dále se bude řeit upřednostněný výdej mimo FIFO)   
	           for _zaznam in select * from dPolSkladF where idCenik=idCenikVydej and idSkladu=idSkladVydej order by datVyst,idpolsklad loop     
                      if(_sarze is null or _sarze = _zaznam.sarze) then
	                  if (_vybrano<_novevydcelkem) then   
	                   _pocet := _zaznam.pocet;   
	                   if( _vybrano+_pocet) > _novevydcelkem then   
	                     _pocet := _novevydcelkem-_vybrano;   
	                   end if;   
	                   _vybrano := _vybrano+_pocet;   
                            --pokud je výrobní číslo, tak jeho kód zaznamenám na výdejku (otázka je, zda tam nedat rovnou idvyrobnicislo   
                            _vyrcis := '';   
                            if (_zaznam.idvyrobnicislo>0) then   
                            	select kod into _vyrcis from svyrobnicislo where idvyrobnicislo = _zaznam.idvyrobnicislo;   
                            end if;   
                            --   
	                   if (_i = 1) then   
	                     insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;   
                             _sklfifo := (select isfifosklad(_zaznam.datvyst));   
                             if (_sklfifo) then   
	                       select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);   
	                       select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);  
			       if (_kurzDokladuP <> 0.0) then  
	                         _cenamjP := _cenamjP * _kurzDokladuP;   
	                       end if; 
	                       select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej; 
	                       _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV)); 
	                       _cenamjP := _cenamjP / _kurzDokladuV; 
	                       update dpolsklad set mnozmj = _pocet,cenamj = _cenamjP, sumzkl = _pocet*_cenamjP*_kurzDokladuV, vyrcis=_vyrcis, sarze = _zaznam.sarze, expirace = _zaznam.expirace
				 where idpolsklad = idvydej;   
	                     else
	                       update dpolsklad set sarze = _zaznam.sarze, expirace = _zaznam.expirace where idpolsklad = idvydej;
                             end if;
	                   else   
                             _sklfifo := (select isfifosklad(_zaznam.datvyst));   
                             if (_sklfifo) then   
	                       select nextval('seq_dpolsklad') into _idrozlozeni;   
	                       select cenamj, idDoklSklad into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);  
			       select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);  
			       if (_kurzDokladuP <> 0.0) then  
	                         _cenamjP := _cenamjP * _kurzDokladuP;   
	                       end if;  
	                       select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej; 
	                       _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV)); 
	                       _cenamjP := _cenamjP / _kurzDokladuV; 
	                       insert into dpolsklad(idpolsklad,mnozmj,autozaokr,autogen,baleniid,cenjednotka,cenamj,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,sumzklmen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,vyrcis)    
	                                          (select (-1*_idrozlozeni),_pocet,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,_zaznam.expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,_zaznam.sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_pocet*_cenamjP,sumzklmen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,_vyrcis from dpolsklad where idpolsklad=idVydej);   
	                       --   
	                       insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,_idrozlozeni,_pocet,_zaznam.idvyrobnicislo);   
                               insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (idvydej, _idrozlozeni);   
                             else   
                               insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,idvydej,_pocet,_zaznam.idvyrobnicislo);   
                             end if;   
	                   end if;   
	                   --   
	                   _i:=_i+1;   
	                  end if;
                      end if;   
	           end loop;   
           else   
                    --pořadí výdeje dle expirace (dále se bude řeit upřednostněný výdej mimo FIFO)   
	           for _zaznam in select * from dPolSkladF where idCenik=idCenikVydej and idSkladu=idSkladVydej order by expirace, idpolsklad loop     
                      if(_sarze is null or _sarze = _zaznam.sarze) then
	                  if (_vybrano<_novevydcelkem) then   
	                   _pocet := _zaznam.pocet;   
	                   if( _vybrano+_pocet) > _novevydcelkem then   
	                     _pocet := _novevydcelkem-_vybrano;   
	                   end if;   
	                   _vybrano := _vybrano+_pocet;   
                            --pokud je výrobní číslo, tak jeho kód zaznamenám na výdejku (otázka je, zda tam nedat rovnou idvyrobnicislo   
                            _vyrcis := '';   
                            if (_zaznam.idvyrobnicislo>0) then   
                            	select kod into _vyrcis from svyrobnicislo where idvyrobnicislo = _zaznam.idvyrobnicislo;   
                            end if;   
                            --   
	                   if (_i = 1) then   
	                     insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;   
                             _sklfifo := (select isfifosklad(_zaznam.datvyst));   
                             if (_sklfifo) then   
	                       select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);   
	                       select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);  
			       if (_kurzDokladuP <> 0.0) then  
	                         _cenamjP := _cenamjP * _kurzDokladuP;   
	                       end if; 
	                       select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej; 
	                       _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV)); 
	                       _cenamjP := _cenamjP / _kurzDokladuV; 
	                       update dpolsklad set mnozmj = _pocet,cenamj = _cenamjP, sumzkl = _pocet*_cenamjP*_kurzDokladuV, vyrcis=_vyrcis, sarze = _zaznam.sarze, expirace = _zaznam.expirace
				 where idpolsklad = idvydej;
			     else
			       update dpolsklad set sarze = _zaznam.sarze, expirace = _zaznam.expirace where idpolsklad = idvydej;
                             end if;   
	                   else   
                             _sklfifo := (select isfifosklad(_zaznam.datvyst));   
                             if (_sklfifo) then   
	                       select nextval('seq_dpolsklad') into _idrozlozeni;   
	                       select cenamj, idDoklSklad into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);  
			       select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);  
			       if (_kurzDokladuP <> 0.0) then  
	                         _cenamjP := _cenamjP * _kurzDokladuP;   
	                       end if;  
	                       select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej; 
	                       _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV)); 
	                       _cenamjP := _cenamjP / _kurzDokladuV; 
	                       insert into dpolsklad(idpolsklad,mnozmj,autozaokr,autogen,baleniid,cenjednotka,cenamj,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,sumzklmen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,vyrcis)    
	                                          (select (-1*_idrozlozeni),_pocet,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,_zaznam.expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,_zaznam.sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_pocet*_cenamjP,sumzklmen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,_vyrcis from dpolsklad where idpolsklad=idVydej);   
	                       --   
	                       insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,_idrozlozeni,_pocet,_zaznam.idvyrobnicislo);   
                               insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (idvydej, _idrozlozeni);   
                             else   
                               insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,idvydej,_pocet,_zaznam.idvyrobnicislo);   
                             end if;   
	                   end if;   
	                   --   
	                   _i:=_i+1;   
	                  end if;
                      end if;   
	           end loop;   
           end if;   
  else   
  	--nepoutím fifo do rekurze, příznak záporného id udělám opět kladný   
         update dpolsklad set idPolSklad = -1*idVydej where idpolsklad=idVydej;            
  end if;   
end;     
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION sfifovydej(integer, integer, integer, integer, numeric) OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 74, 't');
