CREATE OR REPLACE FUNCTION vytvorSestavaVysledovkaSk2014()
RETURNS void AS $$
DECLARE
 legislativa varchar(20);
BEGIN
  legislativa := (select kod from astaty where idstatu = (select idstatuleg from nnastav order by coalesce(platioddata, '1900-01-01') desc limit 1));
  IF (legislativa = 'SK') THEN   

UPDATE usestavy SET uuid='SK_POD_ROZVAHA2014' where idsestavy=7;
UPDATE usestavy SET uuid='SK_POD_VYSLEDOVKA2014' where idsestavy=8;

UPDATE usestavy SET platido=2013  WHERE uuid='SK_POD_ROZVAHA2010';
UPDATE usestavy SET platido=2013  WHERE uuid='SK_POD_VYSLEDOVKA2010';
UPDATE usestavy SET platiod=2014, standard=true WHERE uuid='SK_POD_ROZVAHA2014';
UPDATE usestavy SET platiod=2014, standard=true WHERE uuid='SK_POD_VYSLEDOVKA2014';


UPDATE usestavy SET datvypocet=null WHERE uuid='SK_POD_ROZVAHA2014' and datvypocet='2014-12-03 00:00:00.000';
UPDATE usestavy SET datvypocet=null WHERE uuid='SK_POD_VYSLEDOVKA2014' and datvypocet='2014-12-29 00:00:00.000';

   END IF;
   RETURN;
 END;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION vytvorSestavaVysledovkaSk2014() OWNER TO %firmaRole%;
   
   
   
select vytvorSestavaVysledovkaSk2014();
drop function vytvorSestavaVysledovkaSk2014();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
    values (nextval('seq_dbversion'), 884, 't', %appVersion%, clock_timestamp());