--------------------------------------------------------------------------------
-- Bug 42362 - Nová evidence CustomButton pro tlačítko do toolbaru
--------------------------------------------------------------------------------

CREATE SEQUENCE seq_wcustbutton
 INCREMENT BY 1
 NO MAXVALUE
 NO MINVALUE
 CACHE 1;
ALTER TABLE public.seq_wcustbutton OWNER TO %firmaRole%;


CREATE TABLE wcustbutton (
 idwcustbutton integer DEFAULT nextval('seq_wcustbutton'::regclass) NOT NULL,
 lastupdate timestamp without time zone DEFAULT '2008-01-01 00:00:00'::timestamp without time zone NOT NULL,
 url text not null,
 title character varying(255) NOT NULL,
 description text not null,
 evidence character varying(255) NOT NULL,
 location character varying(255) NOT NULL,
 CONSTRAINT wcustbutton_pkey PRIMARY KEY (idwcustbutton)
);
ALTER TABLE public.wcustbutton OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
 values (nextval('seq_dbversion'), 916, 't', %appVersion%, clock_timestamp());
