-------------------------------------------------------------
-- Bug 43033 - Nová evidence DashboardPanel - jeden dashboard
-------------------------------------------------------------

CREATE SEQUENCE seq_wdashboardpanel
 INCREMENT BY 1
 NO MAXVALUE
 NO MINVALUE
 CACHE 1;
ALTER TABLE public.seq_wdashboardpanel OWNER TO %firmaRole%;


CREATE TABLE wdashboardpanel (
 idwdashboardpanel integer DEFAULT nextval('seq_wdashboardpanel'::regclass) NOT NULL,
 lastupdate timestamp without time zone DEFAULT '2008-01-01 00:00:00'::timestamp without time zone NOT NULL,
 kod character varying(20) NOT NULL,
 nazev character varying(255) NOT NULL,
 nazeva character varying(255),
 nazevb character varying(255),
 nazevc character varying(255), 
 popis text, 
 popisa text,
 popisb text,
 popisc text,
 definition text NOT NULL,
 idauthor integer,
 visibilityK character varying(255) NOT NULL,
 priority integer NOT NULL,
 CONSTRAINT wdashboardpanel_pkey PRIMARY KEY (idwdashboardpanel),
 CONSTRAINT wdashboardpanel_iduziv FOREIGN KEY (idauthor)
      REFERENCES wuzivatel (iduzivatel) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);
ALTER TABLE public.wdashboardpanel OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
 values (nextval('seq_dbversion'), 938, 't', %appVersion%, clock_timestamp());
