--------------------------------------------------------------------------
-- Bug 44353 - Přidání souhrnného čísla pro POK, BAN
--------------------------------------------------------------------------

alter table ddoklint add column cissouhrnne character varying(30);

alter table ddoklint disable trigger user;

update ddoklint set cissouhrnne = cisdosle, cisdosle = null where cisdosle is not null and modul in ('BAN', 'POK');

alter table ddoklint enable trigger user;

-- nastaveni verze vytvorene databaze - nebudou se provadet upgrady s mensi nebo stejnou verzi
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 966, 't', %appVersion%, clock_timestamp());

