<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java" xmlns:diffgr="urn:schemas-microsoft-com:xml-diffgram-v1" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" >

  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="seznam_zbozi">
    <winstrom version="1.0">
    <xsl:apply-templates select="zbozi"/>
    </winstrom>
  </xsl:template>

  <xsl:template match="zbozi">
	  <cenik>
		<id>ext:ATC-CENIK:<xsl:value-of select="@kod"/></id>
		<id>code:<xsl:value-of select="java:flexibee.Tool.toUpper(@kod)"/></id>
		<kod><xsl:value-of select="java:flexibee.Tool.toUpper(@kod)"/></kod>
		<nazev><xsl:value-of select="@nazev"/></nazev>
		<xsl:if test="@jednotka != ''">
		<mj1>code:<xsl:value-of select="java:flexibee.Tool.toUpper(@jednotka)"/></mj1>
		</xsl:if>
		<zaruka><xsl:value-of select="@zaruka"/></zaruka>
		<typZasobyK>typZasoby.zbozi</typZasobyK>
		<skladove>true</skladove>

		<vyrobce>code:<xsl:value-of select="java:flexibee.Tool.toUpper(@kod_vyrobce)"/></vyrobce>

		<eanKod><xsl:value-of select="@ean"/></eanKod>
		<xsl:if test="@pevna_cena = true">
			<cenaZakl><xsl:value-of select="@pevna_cena"/></cenaZakl>
		</xsl:if>

		<xsl:if test="@kod_podkategorie != ''">
		<ceniky-ve-stromu>
			<strom-cenik>
				<id>ext:ATC-VAZUZEL:<xsl:value-of select="@kod_podkategorie"/>+<xsl:value-of select="@kod"/></id>
				<uzel>ext:ATC-UZEL:<xsl:value-of select="@kod_podkategorie"/></uzel>
			</strom-cenik>
		</ceniky-ve-stromu>
		</xsl:if>
    	</cenik>
  </xsl:template>
</xsl:stylesheet>
