CREATE OR REPLACE FUNCTION dpolskladupdatezauctovano()
  RETURNS trigger AS $$
declare
  _idPolDokl integer;
  _zuctovano boolean;
begin
  select isDokladZuctovan(NEW.idDoklSklad, 'Sklad') into _zuctovano;
  
  update ddoklsklad set zuctovano = _zuctovano where idDoklSklad = NEW.idDoklSklad and zuctovano <> _zuctovano;
  
  return NEW;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION dpolskladupdatezauctovano() OWNER TO %firmaRole%;

CREATE TRIGGER dpolskladupdatezauctovano AFTER UPDATE ON dpolsklad
  FOR EACH ROW EXECUTE PROCEDURE dpolskladupdatezauctovano();
