/**
 * odecte obrat z odpisu v tabulce uObraty
 * 
 * @author jdrahos
 */
create or replace function mMajetekDeleteUcto() returns trigger as $$
begin
  -- odpisy majetku jsou vedeny vzdy v mistni mene, proto za menu
  -- dosazujeme -1 a za sumZklMen 0.0
  execute createOrUpdateObraty(OLD.Ucetni, false, OLD.DatUcto, OLD.idZklMdUcet, OLD.idZklDalUcet,
       -1, OLD.idStred, -OLD.sumZkl, 0.0);

  return OLD;
end;
$$ LANGUAGE plpgsql;

drop trigger if exists mOdpisDeleteUcto on mdanodpisy;
drop trigger if exists mOdpisDeleteUcto on mucetodpisy;
drop trigger if exists mMajetekDeleteUcto on mdanodpisy;
drop trigger if exists mMajetekDeleteUcto on mucetodpisy;
drop trigger if exists mMajetekDeleteUcto on mudalosti;

create trigger mMajetekDeleteUcto before delete on mdanodpisy
for each row execute procedure mMajetekDeleteUcto();

create trigger mMajetekDeleteUcto before delete on mucetodpisy
for each row execute procedure mMajetekDeleteUcto();

create trigger mMajetekDeleteUcto before delete on mudalosti
for each row execute procedure mMajetekDeleteUcto();