/*
 Funkce testujici, zda je vstupni cislo null ci ne. Pokud je, nastavi vystup na 0.
 TODO: Tato funkce je mozna zbytecna, protoze patrne existuje ekvivalent v PostgreSQL.

 Autor verze pro PostgreSQL:     Pavel Cvrcek
 Autor původní verze pro Sybase: Jiří Švík 
*/
 
create or replace function FNN (x numeric(15,2)) returns numeric(15,2) as $$
declare
  vysl numeric(15,2);
begin
  if x is null then
    vysl:= 0;
  else
    vysl:= x;
  end if;

  return vysl;
end;
$$ LANGUAGE plpgsql;