

CREATE SEQUENCE seq_csskupina
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


CREATE TABLE csskupina (
    idcsskupina integer DEFAULT nextval('seq_csskupina'::regclass) NOT NULL,
    nazev varchar(64),
    idcslicense integer,
    is_default boolean default false
);



alter table csuzivatel
        add column blocked boolean DEFAULT false NOT NULL,
        add column blocked_text varchar(256),
	add column create_dt timestamp DEFAULT now() NOT NULL,
	add column idcsskupina integer,
	add column last_dt timestamp;

alter table csfirma 
	add column create_dt timestamp DEFAULT now() NOT NULL,
	add column idcsskupina integer,
	add column last_dt timestamp,
	add column autostart boolean DEFAULT false;

alter table cspristup
	add column create_dt timestamp DEFAULT now() NOT NULL;

ALTER TABLE ONLY csskupina
    ADD CONSTRAINT csskupina_pkey PRIMARY KEY (idcsskupina);


ALTER TABLE ONLY csuzivatel
    ADD CONSTRAINT fk5116bd53d75a2a1f FOREIGN KEY (idcsskupina) REFERENCES csskupina(idcsskupina);

ALTER TABLE ONLY csfirma
    ADD CONSTRAINT fk5116bd53d75a2a20 FOREIGN KEY (idcsskupina) REFERENCES csskupina(idcsskupina);

ALTER TABLE ONLY csskupina
    ADD CONSTRAINT fk5116bd53d75a2a21 FOREIGN KEY (idcslicense) REFERENCES cslicense(idcslicense);

insert into csskupina (nazev, is_default) values ('default', true);
update csuzivatel set idcsskupina = (select idcsskupina from csskupina where nazev = 'default' limit 1);
update csfirma set idcsskupina = (select idcsskupina from csskupina where nazev = 'default' limit 1);

ALTER TABLE csuzivatel alter idcsskupina set not null;
ALTER TABLE csfirma alter idcsskupina set not null;

insert into dbversion(iddbversion, dbversion, needreimport)
    values (nextval('seq_dbversion'), 7, 't');
