-------------------------------------------------------------------------------------
-- Bug 12181 – [WINSTROM]-Specifikace pomocných textů
-------------------------------------------------------------------------------------

CREATE SEQUENCE seq_wtexty
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;
ALTER TABLE seq_wtexty OWNER TO %firmaRole%;

CREATE TABLE wtexty
(
  idtext integer NOT NULL DEFAULT nextval('seq_wtexty'::regclass),
  lastupdate timestamp without time zone NOT NULL DEFAULT '2008-01-01 00:00:00'::timestamp without time zone,
  nazev character varying(255) NOT NULL,
  popis text,
  vsbban boolean DEFAULT false,
  vsbdoprava boolean DEFAULT false,
  vsbfap boolean DEFAULT false,
  vsbfav boolean DEFAULT false,
  vsbint boolean DEFAULT false,
  vsbnap boolean DEFAULT false,
  vsbnav boolean DEFAULT false,
  vsbnazevpol boolean DEFAULT false,
  vsbobp boolean DEFAULT false,
  vsbobv boolean DEFAULT false,
  vsbphl boolean DEFAULT false,
  vsbpok boolean DEFAULT false,
  vsbpopis boolean DEFAULT false,
  vsbpoznampol boolean DEFAULT false,
  vsbpoznamka boolean DEFAULT false,
  vsbppp boolean DEFAULT false,
  vsbppv boolean DEFAULT false,
  vsbskl boolean DEFAULT false,
  vsbuvod boolean DEFAULT false,
  vsbzav boolean DEFAULT false,
  vsbzaver boolean DEFAULT false,
  CONSTRAINT wtexty_pkey PRIMARY KEY (idtext)
);
ALTER TABLE wtexty OWNER TO %firmaRole%;

insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 112, 't');
