-- Bug 10257 – [WinStrom] V Nastavení zprovoznit záložku obchod
-- odebrani poli se spatnym nazvem
alter table nnastav drop idTdObZdd;
alter table nnastav drop idTdObSkl;

-- pridani novych poli
alter table nnastav add idTdObFavZal integer;
alter table nnastav add idTdObFap integer;
        
alter table nnastav add idTdObSklPri integer;
alter table nnastav add idTdObSklVyd integer;
        
alter table nnastav add idTdObNav integer;
alter table nnastav add idTdObObp integer;
alter table nnastav add idTdObPpv integer;
alter table nnastav add idTdObNap integer;
alter table nnastav add idTdObObv integer;

-- pridani vazeb
alter table only nnastav 
    add constraint nastav_tdobfavzal_vazba foreign key (idTdObFavZal) references dtypdokl(idTypDokl);
alter table only nnastav 
    add constraint nastav_tdobfap_vazba foreign key (idTdObFap) references dtypdokl(idTypDokl);

alter table only nnastav 
    add constraint nastav_tdobsklpri_vazba foreign key (idTdObSklPri) references dtypdokl(idTypDokl);
alter table only nnastav 
    add constraint nastav_tdobsklvyd_vazba foreign key (idTdObSklVyd) references dtypdokl(idTypDokl);

alter table only nnastav 
    add constraint nastav_tdobnav_vazba foreign key (idTdObNav) references dtypdokl(idTypDokl);
alter table only nnastav 
    add constraint nastav_tdobobp_vazba foreign key (idTdObObp) references dtypdokl(idTypDokl);
alter table only nnastav 
    add constraint nastav_tdobppv_vazba foreign key (idTdObPpv) references dtypdokl(idTypDokl);
alter table only nnastav 
    add constraint nastav_tdobnap_vazba foreign key (idTdObNap) references dtypdokl(idTypDokl);
alter table only nnastav 
    add constraint nastav_tdobobv_vazba foreign key (idTdObObv) references dtypdokl(idTypDokl);

-- indexy
CREATE INDEX nNastav_IdTdObFavZal_index ON nNastav USING btree (IdTdObFavZal);
CREATE INDEX nNastav_IdTdObFap_index ON nNastav USING btree (IdTdObFap);
CREATE INDEX nNastav_IdTdObSklPri_index ON nNastav USING btree (IdTdObSklPri);
CREATE INDEX nNastav_IdTdObSklVyd_index ON nNastav USING btree (IdTdObSklVyd);
CREATE INDEX nNastav_IdTdObNav_index ON nNastav USING btree (IdTdObNav);
CREATE INDEX nNastav_IdTdObObp_index ON nNastav USING btree (IdTdObObp);
CREATE INDEX nNastav_IdTdObPpv_index ON nNastav USING btree (IdTdObPpv);
CREATE INDEX nNastav_IdTdObNap_index ON nNastav USING btree (IdTdObNap);
CREATE INDEX nNastav_IdTdObObv_index ON nNastav USING btree (IdTdObObv);


insert into dbversion(iddbversion, dbversion, needreimport) values (nextval('seq_dbversion'), 12, 't');
