----------------------------------------------------------------
-- Doplneni typu dokladu pro mzdy
----------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    _idtyporg integer;
    _zaznamu integer;
begin
  select idtyporg into _idtyporg from nnastav where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);
  if (_idtyporg = 1) then
    -- ucet 333001
    select count(*) into _zaznamu from uucty where kod = '333001';
    if (_zaznamu = 0) then
      INSERT into uUcty (lastUpdate, Kod, Nazev, Show, Danovy, Saldo, TypUctuK, DruhUctuK, PrijemFav, VydejFap, PrijemSkl, VydejSkl, PrijemBan, VydejBan, PrijemPok, VydejPok, IdStdUcet, IdTypOrg, uuid)
        VALUES ('2009-11-26 00:00:00.000', '333001', 'Ostatní závazky vůči zaměstnancům', true, false, false, 'typUctu.rozvahovy', 'druhUctu.pasivni', false, false, false, false, false, false, false, false, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_333'), 1, 'CZ_POD_333001');
    else
      update uucty set uuid = 'CZ_POD_333001' where kod = '333001';
    end if;
    -- ucet 335001
    select count(*) into _zaznamu from uucty where kod = '335001';
    if (_zaznamu = 0) then
      INSERT into uUcty (lastUpdate, Kod, Nazev, Show, Danovy, Saldo, TypUctuK, DruhUctuK, PrijemFav, VydejFap, PrijemSkl, VydejSkl, PrijemBan, VydejBan, PrijemPok, VydejPok, IdStdUcet, IdTypOrg, uuid)
        VALUES ('2009-11-26 00:00:00.000', '335001', 'Pohledávky za zaměstnanci', true, false, false, 'typUctu.rozvahovy', 'druhUctu.aktivni', false, false, false, false, false, false, false, false, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_335'), 1, 'CZ_POD_335001');
    else
      update uucty set uuid = 'CZ_POD_335001' where kod = '335001';
    end if;
    -- ucet 342001
    select count(*) into _zaznamu from uucty where kod = '342001';
    if (_zaznamu = 0) then
      INSERT into uUcty (lastUpdate, Kod, Nazev, Show, Danovy, Saldo, TypUctuK, DruhUctuK, PrijemFav, VydejFap, PrijemSkl, VydejSkl, PrijemBan, VydejBan, PrijemPok, VydejPok, IdStdUcet, IdTypOrg, uuid)
        VALUES ('2009-10-19 00:00:00.000', '342001', 'Zálohová daň - zaměstnanci', true, false, false, 'typUctu.rozvahovy', 'druhUctu.aktpasvy', false, false, false, false, false, false, false, false, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_342'), 1, 'CZ_POD_342001');
    else
      update uucty set uuid = 'CZ_POD_342001' where kod = '342001';
    end if;
    -- ucet 342002
    select count(*) into _zaznamu from uucty where kod = '342002';
    if (_zaznamu = 0) then
      INSERT into uUcty (lastUpdate, Kod, Nazev, Show, Danovy, Saldo, TypUctuK, DruhUctuK, PrijemFav, VydejFap, PrijemSkl, VydejSkl, PrijemBan, VydejBan, PrijemPok, VydejPok, IdStdUcet, IdTypOrg, uuid)
        VALUES ('2009-10-19 00:00:00.000', '342002', 'Srážková daň - zaměstnanci', true, false, false, 'typUctu.rozvahovy', 'druhUctu.aktpasvy', false, false, false, false, false, false, false, false, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_342'), 1, 'CZ_POD_342002');
    else
      update uucty set uuid = 'CZ_POD_342002' where kod = '342002';
    end if;
    -- ucet 342003
    select count(*) into _zaznamu from uucty where kod = '342003';
    if (_zaznamu = 0) then
      INSERT into uUcty (lastUpdate, Kod, Nazev, Show, Danovy, Saldo, TypUctuK, DruhUctuK, PrijemFav, VydejFap, PrijemSkl, VydejSkl, PrijemBan, VydejBan, PrijemPok, VydejPok, IdStdUcet, IdTypOrg, uuid)
        VALUES ('2009-11-26 00:00:00.000', '342003', 'Ostatní přímé daně - rezident', true, false, false, 'typUctu.rozvahovy', 'druhUctu.aktpasvy', false, false, false, false, false, false, false, false, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_342'), 1, 'CZ_POD_342003');
    else
      update uucty set uuid = 'CZ_POD_342003' where kod = '342003';
    end if;

    -- ciselne rady
    INSERT into dRady (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, Modul, uuid)
      VALUES ('2009-10-19 00:00:00.000', generateuniquekod('MZDY-ZAV', 'dRady', ' '), 'mzdy', true, 0, 9999, 'ZAV', 'CZ_ZAV_MZDY');
    INSERT into dRady (lastUpdate, Kod, Nazev, Show, PlatiOd, PlatiDo, Modul, uuid)
      VALUES ('2009-10-29 00:00:00.000', generateuniquekod('MZDY-INT', 'dRady', ' '), 'interní doklady mzdy', true, 0, 9999, 'INT', 'CZ_INT_MZDY');

    INSERT INTO dradyrok (lastupdate, cisakt, cisdelka, cispoc, postfix, prefix, zobraznuly, idrady, iducetobdobi) 
      VALUES ('2008-06-26 16:56:56.656', 1, 4, 1, '/%YYYY%', 'ZAV', true, (select IdRady from dRady where uuid = 'CZ_ZAV_MZDY'), (select max(iducetobdobi) from nucetobdobi));
    INSERT INTO dradyrok (lastupdate, cisakt, cisdelka, cispoc, postfix, prefix, zobraznuly, idrady, iducetobdobi) 
      VALUES ('2008-06-26 16:56:56.656', 1, 4, 1, '/%YYYY%', 'INT', true, (select IdRady from dRady where uuid = 'CZ_INT_MZDY'), (select max(iducetobdobi) from nucetobdobi));
    
    -- predpisy zauctovani
    INSERT into uTypUcOp (lastUpdate, Kod, Nazev, Show, ModulFav, ModulFap, ModulPhl, ModulZav, ModulBanP, ModulBanV, ModulPokP, ModulPokV, ModulSklP, ModulSklV, ModulInt, KodPlneniK, IdProtiUcetV, uuid)
      VALUES ('2009-11-25 00:00:00.000', generateuniquekod('MZDY - SP PRAC.', 'uTypUcOp', ' '), 'Sociální pojištění - pracovník', true, false, false, false, true, false, false, false, false, false, false, false, 'kodPlneni.bezVlivu', (select IdUcet from uUcty where uuid = 'CZ_POD_331001'), 'CZ_POD_TUO_MZDY_SOC_PRAC');
    INSERT into uTypUcOp (lastUpdate, Kod, Nazev, Show, ModulFav, ModulFap, ModulPhl, ModulZav, ModulBanP, ModulBanV, ModulPokP, ModulPokV, ModulSklP, ModulSklV, ModulInt, KodPlneniK, IdProtiUcetV, uuid)
      VALUES ('2009-11-25 00:00:00.000', generateuniquekod('MZDY - SP FIRMA', 'uTypUcOp', ' '), 'Sociální pojištění - firma / zaměstnavatel', true, false, false, false, true, false, false, false, false, false, false, false, 'kodPlneni.bezVlivu', (select IdUcet from uUcty where uuid = 'CZ_POD_524001'), 'CZ_POD_TUO_MZDY_SOC_FIRMA');
    INSERT into uTypUcOp (lastUpdate, Kod, Nazev, Show, ModulFav, ModulFap, ModulPhl, ModulZav, ModulBanP, ModulBanV, ModulPokP, ModulPokV, ModulSklP, ModulSklV, ModulInt, KodPlneniK, IdProtiUcetV, uuid)
      VALUES ('2009-11-25 00:00:00.000', generateuniquekod('MZDY - ZP FIRMA', 'uTypUcOp', ' '), 'Zdravotní pojištění - firma / zaměstnavatel', true, false, false, false, true, false, false, false, false, false, false, false, 'kodPlneni.bezVlivu', (select IdUcet from uUcty where uuid = 'CZ_POD_524001'), 'CZ_POD_TUO_MZDY_ZDRAV_FIRMA');
    INSERT into uTypUcOp (lastUpdate, Kod, Nazev, Show, ModulFav, ModulFap, ModulPhl, ModulZav, ModulBanP, ModulBanV, ModulPokP, ModulPokV, ModulSklP, ModulSklV, ModulInt, KodPlneniK, IdProtiUcetV, uuid)
      VALUES ('2009-11-25 00:00:00.000', generateuniquekod('MZDY - ZP PRAC.', 'uTypUcOp', ' '), 'Zdravotní pojištění - pracovník', true, false, false, false, true, false, false, false, false, false, false, false, 'kodPlneni.bezVlivu', (select IdUcet from uUcty where uuid = 'CZ_POD_331001'), 'CZ_POD_TUO_MZDY_ZDRAV_PRAC');
    INSERT into uTypUcOp (lastUpdate, Kod, Nazev, Show, ModulFav, ModulFap, ModulPhl, ModulZav, ModulBanP, ModulBanV, ModulPokP, ModulPokV, ModulSklP, ModulSklV, ModulInt, KodPlneniK, IdProtiUcetP, IdProtiUcetV, uuid)
      VALUES ('2009-11-25 00:00:00.000', generateuniquekod('MZDY - HRUBÁ MZDA', 'uTypUcOp', ' '), 'Zúčtování hrubé mzdy', true, false, false, false, false, false, false, false, false, false, false, true, 'kodPlneni.bezVlivu', (select IdUcet from uUcty where uuid = 'CZ_POD_331001'), (select IdUcet from uUcty where uuid = 'CZ_POD_521001'), 'CZ_POD_TUO_MZDY_HRUBA_MZDA');
    INSERT into uTypUcOp (lastUpdate, Kod, Nazev, Show, ModulFav, ModulFap, ModulPhl, ModulZav, ModulBanP, ModulBanV, ModulPokP, ModulPokV, ModulSklP, ModulSklV, ModulInt, IdProtiUcetV, uuid)
      VALUES ('2009-11-26 00:00:00.000', generateuniquekod('MZDY - ZAMĚSTNANCI', 'uTypUcOp', ' '), 'Zaměstnanci', true, false, false, false, true, false, false, false, false, false, false, false, (select IdUcet from uUcty where uuid = 'CZ_POD_331001'), 'CZ_POD_TUO_MZDY_ZAMESTNANCI');
    INSERT into uTypUcOp (lastUpdate, Kod, Nazev, Show, ModulFav, ModulFap, ModulPhl, ModulZav, ModulBanP, ModulBanV, ModulPokP, ModulPokV, ModulSklP, ModulSklV, ModulInt, IdProtiUcetV, uuid)
      VALUES ('2009-11-26 00:00:00.000', generateuniquekod('MZDY - ZÁLOHA', 'uTypUcOp', ' '), 'Zálohy řádné a mimořádné', true, false, false, false, true, false, false, false, false, false, false, false, (select IdUcet from uUcty where uuid = 'CZ_POD_335001'), 'CZ_POD_TUO_MZDY_ZALOHA');
    INSERT into uTypUcOp (lastUpdate, Kod, Nazev, Show, ModulFav, ModulFap, ModulPhl, ModulZav, ModulBanP, ModulBanV, ModulPokP, ModulPokV, ModulSklP, ModulSklV, ModulInt, KodPlneniK, IdProtiUcetV, uuid)
      VALUES ('2009-11-26 00:00:00.000', generateuniquekod('MZDY - SRÁŽKY', 'uTypUcOp', ' '), 'Srážky', true, false, false, false, true, false, false, false, false, false, false, false, 'kodPlneni.bezVlivu', (select IdUcet from uUcty where uuid = 'CZ_POD_379001'), 'CZ_POD_TUO_MZDY_SRAZKY');
    INSERT into uTypUcOp (lastUpdate, Kod, Nazev, Show, ModulFav, ModulFap, ModulPhl, ModulZav, ModulBanP, ModulBanV, ModulPokP, ModulPokV, ModulSklP, ModulSklV, ModulInt, KodPlneniK, IdProtiUcetV, uuid)
      VALUES ('2009-11-26 00:00:00.000', generateuniquekod('MZDY - DOBÍRKA', 'uTypUcOp', ' '), 'Dobírka na účet', true, false, false, false, true, false, false, false, false, false, false, false, 'kodPlneni.bezVlivu', (select IdUcet from uUcty where uuid = 'CZ_POD_333001'), 'CZ_POD_TUO_MZDY_DOBIRKA');
  
    -- typy dokladu
    INSERT into dTypDokl (lastUpdate, Kod, Nazev, Show, Modul, Ucetni, TypDoklK, SlevaDokl, SplatDny, GenerovatSkl, BucKonverze, BucPrimarni, PlatiOd, PlatiDo, IdRadyVydej, IdStred, IdTypDoklBan, IdPrimUcet, IdTypUcOpV, IdMeny, IdStatDph, IdTypOrg, uuid)
      VALUES ('2009-11-26 00:00:00.000', generateuniquekod('MZDY-DOBÍRKA', 'dtypdokl', ' '), 'Dobírka mzdy', true, 'ZAV', true, 'typDokladu.faktura', 0.0, 0, true, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_ZAV_MZDY'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdTypDokl from dTypDokl where uuid = 'CZ_POD_BAN_STD'), (select IdUcet from uUcty where uuid = 'CZ_POD_331001'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_DOBIRKA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid = 'CZ_CZ'), 1, 'CZ_POD_MZDY_DOBIRKA');
    INSERT into dTypDokl (lastUpdate, Kod, Nazev, Show, Modul, Ucetni, SlevaDokl, SplatDny, GenerovatSkl, BucKonverze, BucPrimarni, PlatiOd, PlatiDo, IdRadyPrijem, IdStred, IdTypUcOpP, IdMeny, IdStatDph, IdTypOrg, uuid)
      VALUES ('2009-10-29 00:00:00.000', generateuniquekod('MZDY-HRUBÁ MZDA', 'dtypdokl', ' '), 'Zaúčtování hrubé mzdy', true, 'INT', true, 0.0, 0, true, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_INT_MZDY'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_HRUBA_MZDA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid = 'CZ_CZ'), 1, 'CZ_POD_MZDY_HRUBA_MZDA');
    INSERT into dTypDokl (lastUpdate, Kod, Nazev, Show, Modul, Ucetni, TypDoklK, SlevaDokl, SplatDny, GenerovatSkl, BucKonverze, BucPrimarni, PlatiOd, PlatiDo, IdRadyVydej, IdTypDoklBan, IdPrimUcet, IdTypUcOpV, IdMeny, IdStatDph, IdTypOrg, uuid)
      VALUES ('2009-11-26 00:00:00.000', generateuniquekod('MZDY-SRÁŽKY', 'dtypdokl', ' '), 'Srážky z mezd', true, 'ZAV', true, 'typDokladu.faktura', 0.0, 0, true, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_ZAV_MZDY'), (select IdTypDokl from dTypDokl where uuid = 'CZ_POD_BAN_STD'), (select IdUcet from uUcty where uuid = 'CZ_POD_331001'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_SRAZKY'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid = 'CZ_CZ'), 1, 'CZ_POD_MZDY_SRAZKY');
    INSERT into dTypDokl (lastUpdate, Kod, Nazev, Show, Modul, Ucetni, SlevaDokl, SplatDny, GenerovatSkl, BucKonverze, BucPrimarni, PlatiOd, PlatiDo, IdRadyPrijem, IdStred, IdTypUcOpP, IdMeny, IdStatDph, IdTypOrg, uuid)
      VALUES ('2009-10-29 00:00:00.000', generateuniquekod('MZDY-NÁHRADA MZDY', 'dtypdokl', ' '), 'Náhrady mzdy', true, 'INT', true, 0.0, 0, true, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_INT_MZDY'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_HRUBA_MZDA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid = 'CZ_CZ'), 1, 'CZ_POD_MZDY_NAHRADA');
    INSERT into dTypDokl (lastUpdate, Kod, Nazev, Show, Modul, Ucetni, TypDoklK, SlevaDokl, SplatDny, GenerovatSkl, BucKonverze, BucPrimarni, PlatiOd, PlatiDo, IdRadyVydej, IdTypDoklBan, IdPrimUcet, IdTypUcOpV, IdMeny, IdStatDph, IdTypOrg, uuid)
      VALUES ('2009-11-26 00:00:00.000', generateuniquekod('MZDY-REZIDENT-DAŇ', 'dtypdokl', ' '), 'Daň rezidenta', true, 'ZAV', true, 'typDokladu.faktura', 0.0, 0, true, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_ZAV_MZDY'), (select IdTypDokl from dTypDokl where uuid = 'CZ_POD_BAN_STD'), (select IdUcet from uUcty where uuid = 'CZ_POD_342003'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_ZAMESTNANCI'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid = 'CZ_CZ'), 1, 'CZ_POD_MZDY_DAN_REZIDENT');
    INSERT into dTypDokl (lastUpdate, Kod, Nazev, Show, Modul, Ucetni, TypDoklK, SlevaDokl, SplatDny, GenerovatSkl, BucKonverze, BucPrimarni, PlatiOd, PlatiDo, IdRadyVydej, IdPrimUcet, IdMeny, IdStatDph, IdTypOrg, uuid)
      VALUES ('2009-11-25 00:00:00.000', generateuniquekod('MZDY-SOCIÁLNÍ POJ.', 'dtypdokl', ' '), 'Sociální pojištění ', true, 'ZAV', true, 'typDokladu.faktura', 0.0, 0, true, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_ZAV_MZDY'), (select IdUcet from uUcty where uuid = 'CZ_POD_336001'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid = 'CZ_CZ'), 1, 'CZ_POD_MZDY_SOC_POJ');
    INSERT into dTypDokl (lastUpdate, Kod, Nazev, Show, Modul, Ucetni, TypDoklK, SlevaDokl, SplatDny, GenerovatSkl, BucKonverze, BucPrimarni, PlatiOd, PlatiDo, IdRadyVydej, IdTypDoklBan, IdPrimUcet, IdTypUcOpV, IdMeny, IdStatDph, IdTypOrg, uuid)
      VALUES ('2009-11-25 00:00:00.000', generateuniquekod('MZDY-SRÁŽKOVÁ DAŇ', 'dtypdokl', ' '), 'Srážková daň', true, 'ZAV', true, 'typDokladu.faktura', 0.0, 0, true, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_ZAV_MZDY'), (select IdTypDokl from dTypDokl where uuid = 'CZ_POD_BAN_STD'), (select IdUcet from uUcty where uuid = 'CZ_POD_342002'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_ZAMESTNANCI'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid = 'CZ_CZ'), 1, 'CZ_POD_MZDY_DAN_SRAZKOVA');
    INSERT into dTypDokl (lastUpdate, Kod, Nazev, Show, Modul, Ucetni, TypDoklK, SlevaDokl, SplatDny, GenerovatSkl, BucKonverze, BucPrimarni, PlatiOd, PlatiDo, IdRadyVydej, IdTypDoklBan, IdPrimUcet, IdTypUcOpV, IdMeny, IdStatDph, IdTypOrg, uuid)
      VALUES ('2009-11-26 00:00:00.000', generateuniquekod('MZDY-ZÁLOHA MEZD', 'dtypdokl', ' '), 'Záloha mezd', true, 'ZAV', true, 'typDokladu.faktura', 0.0, 0, true, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_ZAV_MZDY'), (select IdTypDokl from dTypDokl where uuid = 'CZ_POD_BAN_STD'), (select IdUcet from uUcty where uuid = 'CZ_POD_331001'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_ZALOHA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid = 'CZ_CZ'), 1, 'CZ_POD_MZDY_ZALOHA');
    INSERT into dTypDokl (lastUpdate, Kod, Nazev, Show, Modul, Ucetni, TypDoklK, SlevaDokl, SplatDny, GenerovatSkl, BucKonverze, BucPrimarni, PlatiOd, PlatiDo, IdRadyVydej, IdTypDoklBan, IdPrimUcet, IdTypUcOpV, IdMeny, IdStatDph, IdTypOrg, uuid)
      VALUES ('2009-11-26 00:00:00.000', generateuniquekod('MZDY-ZÁLOHOVÁ DAŇ', 'dtypdokl', ' '), 'Zálohová daň', true, 'ZAV', true, 'typDokladu.faktura', 0.0, 0, true, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_ZAV_MZDY'), (select IdTypDokl from dTypDokl where uuid = 'CZ_POD_BAN_STD'), (select IdUcet from uUcty where uuid = 'CZ_POD_342001'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_ZAMESTNANCI'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid = 'CZ_CZ'), 1, 'CZ_POD_MZDY_DAN_ZALOHOVA');
    INSERT into dTypDokl (lastUpdate, Kod, Nazev, Show, Modul, Ucetni, TypDoklK, SlevaDokl, SplatDny, GenerovatSkl, BucKonverze, BucPrimarni, PlatiOd, PlatiDo, IdRadyVydej, IdStred, IdTypDoklBan, IdPrimUcet, IdMeny, IdStatDph, IdTypOrg, uuid)
      VALUES ('2009-11-26 00:00:00.000', generateuniquekod('MZDY-ZDRAVOTNÍ POJ.', 'dtypdokl', ''), 'Zdravotní pojištění', true, 'ZAV', true, 'typDokladu.faktura', 0.0, 0, true, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_ZAV_MZDY'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdTypDokl from dTypDokl where uuid = 'CZ_POD_BAN_STD'), (select IdUcet from uUcty where uuid = 'CZ_POD_336001'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid = 'CZ_CZ'), 1, 'CZ_POD_MZDY_ZDRAV_POJ');
    
  -- doplneni do nastaveni
  update nnastav set
    idmzdtdzavdansra = (select idtypdokl from dtypdokl where uuid = 'CZ_POD_MZDY_DAN_SRAZKOVA' limit 1),
    idmzdtdintnahrad = (select idtypdokl from dtypdokl where uuid = 'CZ_POD_MZDY_NAHRADA' limit 1),
    idmzdtdzavzdrav = (select idtypdokl from dtypdokl where uuid = 'CZ_POD_MZDY_ZDRAV_POJ' limit 1),
    idmzdtuozavsoczam = (select idtypucop from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_SOC_PRAC' limit 1),
    idmzdtdzavdanzal = (select idtypdokl from dtypdokl where uuid = 'CZ_POD_MZDY_DAN_ZALOHOVA' limit 1),
    idmzdtdzavdanrez = (select idtypdokl from dtypdokl where uuid = 'CZ_POD_MZDY_DAN_REZIDENT' limit 1),
    idmzdtuozavzdrfir = (select idtypucop from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_ZDRAV_FIRMA' limit 1),
    idmzdtdinthruba = (select idtypdokl from dtypdokl where uuid = 'CZ_POD_MZDY_HRUBA_MZDA' limit 1),
    idmzdtdzavsrazka = (select idtypdokl from dtypdokl where uuid = 'CZ_POD_MZDY_SRAZKY' limit 1),
    idmzdtdzavsoc = (select idtypdokl from dtypdokl where uuid = 'CZ_POD_MZDY_SOC_POJ' limit 1),
    idmzdtdzavzaloha = (select idtypdokl from dtypdokl where uuid = 'CZ_POD_MZDY_ZALOHA' limit 1),
    idmzdtuozavzdrzam = (select idtypucop from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_ZDRAV_PRAC' limit 1),
    idmzdtdzavdobirka = (select idtypdokl from dtypdokl where uuid = 'CZ_POD_MZDY_DOBIRKA' limit 1),
    idmzdtuozavsocfir = (select idtypucop from uTypUcOp where uuid = 'CZ_POD_TUO_MZDY_SOC_FIRMA' limit 1);
  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 186, 't');