-- Bug 11824 – [WinStrom] Účtují se i doklady, které nemají příznak zaúčtováno nastaven na true
-- oprava predchazejiciho upgradu


-- oprava triggeru ktery uctuje pri mazani polozky
CREATE OR REPLACE FUNCTION dpoldokldeleteucto()
  RETURNS trigger AS $$
declare
  _postfix varchar(20);
  _idDokl bigint;
  _zuctovano boolean;
begin
  select getDoklNamePostfixByModul(OLD.modul) into _postfix;
  if (_postfix = 'Fak') then
    _idDokl := OLD.idDoklFak;
  else
    if (_postfix = 'Int') then
      _idDokl := OLD.idDoklInt;
    else
      if (_postfix = 'Sklad') then
        _idDokl := OLD.idDoklSklad;
      end if;
    end if;
  end if;
  
  execute 'select zuctovano from dDokl' || _postfix || ' where idDokl' || _postfix || ' = ' || _idDokl into _zuctovano;

  if (_zuctovano) then
    execute createOrUpdateObraty(OLD.Ucetni, OLD.Storno, OLD.DatUcto, OLD.idZklMdUcet, OLD.idZklDalUcet,  
        OLD.idMeny, OLD.idStred, -OLD.sumZkl, -OLD.sumZklMen);  
  
    execute createOrUpdateObraty(OLD.Ucetni, OLD.Storno, OLD.DatUcto, OLD.idDphMdUcet, OLD.idDphDalUcet,  
        OLD.idMeny, OLD.idStred, -OLD.sumDph, -OLD.sumDphMen);
  end if;
  
  return OLD;  
end;  
$$ LANGUAGE plpgsql;


-- zvyseni cisla verze db
insert into dbversion(iddbversion, dbversion, needreimport)
        values (nextval('seq_dbversion'), 23, 't');