--------------------------------------------------------------------------------
-- Bug 17557 – [WinStrom] Aktualizace kalkulačky na rok 2010
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku  

-- Ciselnik slozek
UPDATE pcismzdsloz SET nazev = 'Fond pracovní doby' WHERE IdCisMzdSloz = 1;
UPDATE pcismzdsloz SET nazev = 'Důležité osobní překážky', popis = '  (svatba, narození dítěte, vyšetření ve zdravotnickém zařízení aj. § 128) ' WHERE IdCisMzdSloz = 10;
UPDATE pcismzdsloz SET nazev = 'Překážky z důvodů obecného zájmu placené ' WHERE IdCisMzdSloz = 11;
UPDATE pcismzdsloz SET nazev = 'Neodpracovaná doba - nepřítomnost' WHERE IdCisMzdSloz = 16;
UPDATE pcismzdsloz SET nazev = 'Prémie % z ukazatele / základu ' WHERE IdCisMzdSloz = 27;
UPDATE pcismzdsloz SET nazev = 'Podíly % ze zisku / základu ' WHERE IdCisMzdSloz = 28;
UPDATE pcismzdsloz SET nazev = 'Odměna k jubileu', popis = 'Odměna k životnímu, pracobnímu jubileu, odchodu do důchodu' WHERE IdCisMzdSloz = 29;
UPDATE pcismzdsloz SET nazev = 'Odměna za vynález' WHERE IdCisMzdSloz = 30;
UPDATE pcismzdsloz SET nazev = 'Odměna za prac. pohot.na pracovišti' WHERE IdCisMzdSloz = 39;
UPDATE pcismzdsloz SET nazev = 'Cestovní náhrady do limitu' WHERE IdCisMzdSloz = 45;
UPDATE pcismzdsloz SET vsdatod = false, vsdatdo = false, vsdnyprac = true, vshodiny = true WHERE IdCisMzdSloz = 47;
UPDATE pcismzdsloz SET nazev = 'Odpracováno - z toho  přesčas' WHERE IdCisMzdSloz = 57;
UPDATE pcismzdsloz SET nazev = 'Odpracováno - z toho  svátek' WHERE IdCisMzdSloz = 58;
UPDATE pcismzdsloz SET nazev = 'Odpracováno - z toho v sobotu a v neděli' WHERE IdCisMzdSloz = 59;
UPDATE pcismzdsloz SET nazev = 'Odpracovaná doba - pracovní', pracovni = true WHERE IdCisMzdSloz = 63;
UPDATE pcismzdsloz SET nazev = 'Životní pojištění - daněno' WHERE IdCisMzdSloz = 67;
UPDATE pcismzdsloz SET pracovni = true WHERE IdCisMzdSloz = 69;
UPDATE pcismzdsloz SET nazev = 'Oprava sociálního pojištění - firma' WHERE IdCisMzdSloz = 76;
UPDATE pcismzdsloz SET nazev = 'Hrubá mzda (pro jeden pracovní poměr)' WHERE IdCisMzdSloz = 87;
UPDATE pcismzdsloz SET pracovni = true WHERE IdCisMzdSloz = 94;
UPDATE pcismzdsloz SET nazev = 'Soc. pojištění - Firma - důchodové ', pracovni = false WHERE IdCisMzdSloz = 99;
UPDATE pcismzdsloz SET nazev = 'Soc. pojištění - Firma - nemocenská', pracovni = false WHERE IdCisMzdSloz = 100;
UPDATE pcismzdsloz SET nazev = 'Soc. pojištění - Firma - Stát.pol.zaměs. ', pracovni = false WHERE IdCisMzdSloz = 101;
UPDATE pcismzdsloz SET nazev = 'Sociální pojištění - firma před zaokrouhlením', pracovni = true WHERE IdCisMzdSloz = 102;
UPDATE pcismzdsloz SET nazev = 'Zdravotní  pojištění - firma' WHERE IdCisMzdSloz = 104;
UPDATE pcismzdsloz SET nazev = 'Superhubá mzda  (základ pro výpočet daně)' WHERE IdCisMzdSloz = 107;
UPDATE pcismzdsloz SET pracovni = true WHERE IdCisMzdSloz = 108;
UPDATE pcismzdsloz SET nazev = 'Sleva na poplatníka', popis = ' (podepsal prohlášení k dani a uplaňuje slevu)' WHERE IdCisMzdSloz = 110;
UPDATE pcismzdsloz SET popis = '(Bývalá částečná invalidita)' WHERE IdCisMzdSloz = 111;
UPDATE pcismzdsloz SET popis = '(bývalá plná invalidita)' WHERE IdCisMzdSloz = 112;
UPDATE pcismzdsloz SET nazev = 'Sleva - Student ', popis = '(připravující se na budoucí povolání)' WHERE IdCisMzdSloz = 114;
UPDATE pcismzdsloz SET pracovni = true WHERE IdCisMzdSloz = 116;
UPDATE pcismzdsloz SET nazev = 'Celková sleva na dani' WHERE IdCisMzdSloz = 117;
UPDATE pcismzdsloz SET nazev = 'Záloha na daň  (po slevách a opravách)' WHERE IdCisMzdSloz = 118;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 136;
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vstup', vscastmzd = true WHERE IdCisMzdSloz = 137;
UPDATE pcismzdsloz SET pracovni = true WHERE IdCisMzdSloz = 170;
UPDATE pcismzdsloz SET pracovni = true WHERE IdCisMzdSloz = 171;
UPDATE pcismzdsloz SET nazev = 'Pracovně právní hodinový průměr', popis = '( pro náhradu mzdy za nemoc, dovolenou) ' WHERE IdCisMzdSloz = 172;
UPDATE pcismzdsloz SET nazev = 'Pracovně právní hodinový průměr - redukovaný', popis = 'Redukovaný průměr pro výpočet náhrady mzdy za nemoc, úraz a karanténu' WHERE IdCisMzdSloz = 176;
UPDATE pcismzdsloz SET nazev = 'Refundace náhrady mzdy na pracovníka', popis = ' ( 1/2  náhrady mzdy )' WHERE IdCisMzdSloz = 178;
UPDATE pcismzdsloz SET nazev = 'Odpracovaná doba' WHERE IdCisMzdSloz = 179;
UPDATE pcismzdsloz SET kod = 'ZAOKROUHLENÍ SP', nazev = 'Zaokrouhlení sociálního pojištění firmy' WHERE IdCisMzdSloz = 181;
UPDATE pcismzdsloz SET nazev = 'Nárok na dovolenou - poměrná část' WHERE IdCisMzdSloz = 184;
UPDATE pcismzdsloz SET nazev = 'Vybraná dovolená - celkem' WHERE IdCisMzdSloz = 185;
UPDATE pcismzdsloz SET pracovni = true WHERE IdCisMzdSloz = 201;
UPDATE pcismzdsloz SET pracovni = true WHERE IdCisMzdSloz = 202;
UPDATE pcismzdsloz SET nazev = 'Odměna za prac. pohot.mimo pracoviště' WHERE IdCisMzdSloz = 205;
UPDATE pcismzdsloz SET nazev = 'Sociální pojištění - firma' WHERE IdCisMzdSloz = 229;
UPDATE pcismzdsloz SET pracovni = true WHERE IdCisMzdSloz = 234;
UPDATE pcismzdsloz SET nazev = 'Ddečet dovolené za neomluvenou absenci' WHERE IdCisMzdSloz = 235;
UPDATE pcismzdsloz SET pracovni = true WHERE IdCisMzdSloz = 236;
UPDATE pcismzdsloz SET nazev = 'Nárok na dovolenou' WHERE IdCisMzdSloz = 244;
INSERT INTO pcismzdsloz (idcismzdsloz, lastUpdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, vyznamk, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni)
 VALUES (252, '2010-01-25 00:00:00.000', 'NÁHR.NEMOC 11-X', 'Náhrada mzdy za nemoc - 11 den a dále', true, 2135, 'typSlozky.kopie', 'skupinaSlozky.nepritNemoc', false, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 'vyznamSlozky.hrubaMzda', 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, true);
INSERT INTO pcismzdsloz (idcismzdsloz, lastUpdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, vyznamk, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni)
 VALUES (253, '2010-01-25 00:00:00.000', 'NÁHR.KARANTÉNA 11-X', 'Náhrada mzdy za karanténu - 10 den a dále', true, 2085, 'typSlozky.kopie', 'skupinaSlozky.nepritKaran', false, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 'vyznamSlozky.hrubaMzda', 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, true);

PERFORM pg_catalog.setval('seq_pcismzdsloz', 253, true);

-- kalkulacka
-- inicializace
UPDATE pmzdcalcinit SET polein = 'slevaPoplat' WHERE IdMzdCalcInit = 3;
INSERT INTO pmzdcalcinit (idmzdcalcinit, lastUpdate, kod, nazev, popis, show, cisrad, zdrojk, polein, poleout, platnostk, idmzdcalchlav, idmzdslozout)
 VALUES (17, '2010-01-22 00:00:00.000', 'NÁHRADA ZA SVÁTEK', 'Náhráda za svátek', '', true, 16, 'mzdCalcZdroj.pracPom', 'svatkyPrumer', 'procMzd', 'mzdCalcPlatnost.vzdy', 1, 21);

PERFORM pg_catalog.setval('seq_pmzdcalcinit', 17, true);

-- radky
-- nejprve delete jinak by se nam pak rozbilo cislovani radek
DELETE FROM pmzdcalc WHERE IdMzdCalc = 230;
UPDATE pmzdcalc SET cisrad = 28 WHERE IdMzdCalc = 1;
UPDATE pmzdcalc SET cisrad = 31 WHERE IdMzdCalc = 4;
UPDATE pmzdcalc SET cisrad = 29 WHERE IdMzdCalc = 5;
UPDATE pmzdcalc SET cisrad = 30 WHERE IdMzdCalc = 6;
UPDATE pmzdcalc SET cisrad = 37 WHERE IdMzdCalc = 7;
UPDATE pmzdcalc SET cisrad = 36 WHERE IdMzdCalc = 8;
UPDATE pmzdcalc SET cisrad = 38 WHERE IdMzdCalc = 9;
UPDATE pmzdcalc SET cisrad = 40 WHERE IdMzdCalc = 10;
UPDATE pmzdcalc SET cisrad = 41 WHERE IdMzdCalc = 11;
UPDATE pmzdcalc SET cisrad = 42 WHERE IdMzdCalc = 21;
UPDATE pmzdcalc SET cisrad = 43 WHERE IdMzdCalc = 23;
UPDATE pmzdcalc SET cisrad = 44 WHERE IdMzdCalc = 24;
UPDATE pmzdcalc SET cisrad = 45 WHERE IdMzdCalc = 25;
UPDATE pmzdcalc SET cisrad = 46 WHERE IdMzdCalc = 26;
UPDATE pmzdcalc SET cisrad = 93 WHERE IdMzdCalc = 27;
UPDATE pmzdcalc SET cisrad = 47 WHERE IdMzdCalc = 28;
UPDATE pmzdcalc SET cisrad = 91 WHERE IdMzdCalc = 29;
UPDATE pmzdcalc SET cisrad = 48 WHERE IdMzdCalc = 30;
UPDATE pmzdcalc SET cisrad = 97 WHERE IdMzdCalc = 31;
UPDATE pmzdcalc SET cisrad = 49 WHERE IdMzdCalc = 32;
UPDATE pmzdcalc SET cisrad = 50 WHERE IdMzdCalc = 33;
UPDATE pmzdcalc SET cisrad = 54 WHERE IdMzdCalc = 34;
UPDATE pmzdcalc SET cisrad = 55 WHERE IdMzdCalc = 35;
UPDATE pmzdcalc SET cisrad = 56 WHERE IdMzdCalc = 37;
UPDATE pmzdcalc SET cisrad = 57 WHERE IdMzdCalc = 38;
UPDATE pmzdcalc SET cisrad = 58 WHERE IdMzdCalc = 39;
UPDATE pmzdcalc SET cisrad = 59 WHERE IdMzdCalc = 40;
UPDATE pmzdcalc SET cisrad = 80 WHERE IdMzdCalc = 41;
UPDATE pmzdcalc SET cisrad = 87 WHERE IdMzdCalc = 42;
UPDATE pmzdcalc SET cisrad = 82 WHERE IdMzdCalc = 43;
UPDATE pmzdcalc SET cisrad = 86 WHERE IdMzdCalc = 44;
UPDATE pmzdcalc SET cisrad = 89 WHERE IdMzdCalc = 45;
UPDATE pmzdcalc SET cisrad = 74 WHERE IdMzdCalc = 46;
UPDATE pmzdcalc SET cisrad = 90 WHERE IdMzdCalc = 47;
UPDATE pmzdcalc SET cisrad = 77 WHERE IdMzdCalc = 48;
UPDATE pmzdcalc SET cisrad = 88 WHERE IdMzdCalc = 49;
UPDATE pmzdcalc SET cisrad = 92 WHERE IdMzdCalc = 50;
UPDATE pmzdcalc SET cisrad = 95 WHERE IdMzdCalc = 51;
UPDATE pmzdcalc SET cisrad = 96 WHERE IdMzdCalc = 52;
UPDATE pmzdcalc SET cisrad = 98 WHERE IdMzdCalc = 53;
UPDATE pmzdcalc SET cisrad = 99 WHERE IdMzdCalc = 54;
UPDATE pmzdcalc SET cisrad = 100 WHERE IdMzdCalc = 55;
UPDATE pmzdcalc SET cisrad = 101 WHERE IdMzdCalc = 56;
UPDATE pmzdcalc SET cisrad = 102 WHERE IdMzdCalc = 57;
UPDATE pmzdcalc SET cisrad = 94 WHERE IdMzdCalc = 58;
UPDATE pmzdcalc SET cisrad = 103 WHERE IdMzdCalc = 59;
UPDATE pmzdcalc SET cisrad = 104 WHERE IdMzdCalc = 60;
UPDATE pmzdcalc SET cisrad = 105 WHERE IdMzdCalc = 61;
UPDATE pmzdcalc SET cisrad = 106 WHERE IdMzdCalc = 62;
UPDATE pmzdcalc SET cisrad = 107 WHERE IdMzdCalc = 63;
UPDATE pmzdcalc SET cisrad = 121 WHERE IdMzdCalc = 64;
UPDATE pmzdcalc SET cisrad = 146 WHERE IdMzdCalc = 68;
UPDATE pmzdcalc SET cisrad = 147 WHERE IdMzdCalc = 69;
UPDATE pmzdcalc SET cisrad = 161 WHERE IdMzdCalc = 70;
UPDATE pmzdcalc SET cisrad = 136 WHERE IdMzdCalc = 75;
UPDATE pmzdcalc SET cisrad = 149 WHERE IdMzdCalc = 76;
UPDATE pmzdcalc SET cisrad = 162 WHERE IdMzdCalc = 78;
UPDATE pmzdcalc SET cisrad = 192 WHERE IdMzdCalc = 79;
UPDATE pmzdcalc SET cisrad = 178 WHERE IdMzdCalc = 80;
UPDATE pmzdcalc SET cisrad = 179 WHERE IdMzdCalc = 81;
UPDATE pmzdcalc SET cisrad = 180 WHERE IdMzdCalc = 82;
UPDATE pmzdcalc SET cisrad = 181 WHERE IdMzdCalc = 83;
UPDATE pmzdcalc SET cisrad = 182 WHERE IdMzdCalc = 86;
UPDATE pmzdcalc SET cisrad = 187 WHERE IdMzdCalc = 89;
UPDATE pmzdcalc SET cisrad = 186 WHERE IdMzdCalc = 92;
UPDATE pmzdcalc SET cisrad = 188 WHERE IdMzdCalc = 93;
UPDATE pmzdcalc SET cisrad = 194 WHERE IdMzdCalc = 94;
UPDATE pmzdcalc SET cisrad = 213 WHERE IdMzdCalc = 95;
UPDATE pmzdcalc SET cisrad = 215 WHERE IdMzdCalc = 96;
UPDATE pmzdcalc SET cisrad = 217 WHERE IdMzdCalc = 97;
UPDATE pmzdcalc SET cisrad = 218 WHERE IdMzdCalc = 98;
UPDATE pmzdcalc SET cisrad = 258 WHERE IdMzdCalc = 99;
UPDATE pmzdcalc SET cisrad = 228 WHERE IdMzdCalc = 100;
UPDATE pmzdcalc SET cisrad = 257 WHERE IdMzdCalc = 101;
UPDATE pmzdcalc SET cisrad = 229 WHERE IdMzdCalc = 103;
UPDATE pmzdcalc SET cisrad = 235 WHERE IdMzdCalc = 104;
UPDATE pmzdcalc SET cisrad = 236 WHERE IdMzdCalc = 106;
UPDATE pmzdcalc SET cisrad = 237 WHERE IdMzdCalc = 107;
UPDATE pmzdcalc SET cisrad = 238 WHERE IdMzdCalc = 108;
UPDATE pmzdcalc SET cisrad = 239 WHERE IdMzdCalc = 109;
UPDATE pmzdcalc SET cisrad = 240 WHERE IdMzdCalc = 110;
UPDATE pmzdcalc SET cisrad = 246 WHERE IdMzdCalc = 111;
UPDATE pmzdcalc SET cisrad = 264 WHERE IdMzdCalc = 112;
UPDATE pmzdcalc SET cisrad = 265 WHERE IdMzdCalc = 113;
UPDATE pmzdcalc SET cisrad = 262 WHERE IdMzdCalc = 114;
UPDATE pmzdcalc SET cisrad = 135 WHERE IdMzdCalc = 115;
UPDATE pmzdcalc SET cisrad = 134 WHERE IdMzdCalc = 116;
UPDATE pmzdcalc SET cisrad = 266 WHERE IdMzdCalc = 117;
UPDATE pmzdcalc SET cisrad = 169 WHERE IdMzdCalc = 119;
UPDATE pmzdcalc SET cisrad = 191 WHERE IdMzdCalc = 120;
UPDATE pmzdcalc SET cisrad = 163 WHERE IdMzdCalc = 121;
UPDATE pmzdcalc SET cisrad = 193 WHERE IdMzdCalc = 122;
UPDATE pmzdcalc SET cisrad = 232 WHERE IdMzdCalc = 123;
UPDATE pmzdcalc SET cisrad = 219 WHERE IdMzdCalc = 124;
UPDATE pmzdcalc SET cisrad = 245 WHERE IdMzdCalc = 125;
UPDATE pmzdcalc SET cisrad = 230 WHERE IdMzdCalc = 130;
UPDATE pmzdcalc SET cisrad = 233 WHERE IdMzdCalc = 131;
UPDATE pmzdcalc SET cisrad = 148 WHERE IdMzdCalc = 133;
UPDATE pmzdcalc SET cisrad = 183 WHERE IdMzdCalc = 134;
UPDATE pmzdcalc SET cisrad = 184 WHERE IdMzdCalc = 135;
UPDATE pmzdcalc SET cisrad = 242 WHERE IdMzdCalc = 136;
UPDATE pmzdcalc SET cisrad = 260 WHERE IdMzdCalc = 139;
UPDATE pmzdcalc SET cisrad = 261 WHERE IdMzdCalc = 140;
UPDATE pmzdcalc SET cisrad = 259 WHERE IdMzdCalc = 145;
UPDATE pmzdcalc SET cisrad = 263 WHERE IdMzdCalc = 146;
UPDATE pmzdcalc SET cisrad = 268 WHERE IdMzdCalc = 147;
UPDATE pmzdcalc SET cisrad = 271 WHERE IdMzdCalc = 172;
UPDATE pmzdcalc SET cisrad = 272 WHERE IdMzdCalc = 173;
UPDATE pmzdcalc SET cisrad = 273 WHERE IdMzdCalc = 174;
UPDATE pmzdcalc SET cisrad = 274 WHERE IdMzdCalc = 175;
UPDATE pmzdcalc SET cisrad = 6 WHERE IdMzdCalc = 181;
UPDATE pmzdcalc SET cisrad = 7 WHERE IdMzdCalc = 183;
UPDATE pmzdcalc SET cisrad = 8 WHERE IdMzdCalc = 184;
UPDATE pmzdcalc SET cisrad = 9 WHERE IdMzdCalc = 185;
UPDATE pmzdcalc SET cisrad = 10 WHERE IdMzdCalc = 186;
UPDATE pmzdcalc SET cisrad = 11 WHERE IdMzdCalc = 187;
UPDATE pmzdcalc SET cisrad = 12 WHERE IdMzdCalc = 188;
UPDATE pmzdcalc SET cisrad = 13 WHERE IdMzdCalc = 189;
UPDATE pmzdcalc SET cisrad = 14 WHERE IdMzdCalc = 190;
UPDATE pmzdcalc SET cisrad = 15 WHERE IdMzdCalc = 191;
UPDATE pmzdcalc SET cisrad = 16 WHERE IdMzdCalc = 192;
UPDATE pmzdcalc SET cisrad = 269 WHERE IdMzdCalc = 193;
UPDATE pmzdcalc SET cisrad = 270 WHERE IdMzdCalc = 194;
UPDATE pmzdcalc SET cisrad = 280 WHERE IdMzdCalc = 195;
UPDATE pmzdcalc SET cisrad = 289 WHERE IdMzdCalc = 196;
UPDATE pmzdcalc SET cisrad = 275 WHERE IdMzdCalc = 197;
UPDATE pmzdcalc SET cisrad = 281 WHERE IdMzdCalc = 198;
UPDATE pmzdcalc SET cisrad = 291 WHERE IdMzdCalc = 200;
UPDATE pmzdcalc SET cisrad = 283 WHERE IdMzdCalc = 201;
UPDATE pmzdcalc SET cisrad = 282 WHERE IdMzdCalc = 202;
UPDATE pmzdcalc SET cisrad = 290 WHERE IdMzdCalc = 206;
UPDATE pmzdcalc SET cisrad = 292 WHERE IdMzdCalc = 207;
UPDATE pmzdcalc SET nazev = 'Koeficient vypočtený z toho, co zbývá na měsíční mzdu (fond-neodpracovaná doba-hodnová mzda-úkolová mzda)', cisrad = 17, idmzdslozin = 188 WHERE IdMzdCalc = 208;
UPDATE pmzdcalc SET cisrad = 21 WHERE IdMzdCalc = 209;
UPDATE pmzdcalc SET cisrad = 32, zaokrjakk = 'zaokrJak.nahoru', zaokrnak = 'zaokrNa.jednotky' WHERE IdMzdCalc = 211;
UPDATE pmzdcalc SET cisrad = 294 WHERE IdMzdCalc = 213;
UPDATE pmzdcalc SET cisrad = 295 WHERE IdMzdCalc = 214;
UPDATE pmzdcalc SET cisrad = 296 WHERE IdMzdCalc = 215;
UPDATE pmzdcalc SET cisrad = 25 WHERE IdMzdCalc = 216;
UPDATE pmzdcalc SET cisrad = 24 WHERE IdMzdCalc = 217;
UPDATE pmzdcalc SET cisrad = 306 WHERE IdMzdCalc = 221;
UPDATE pmzdcalc SET cisrad = 301 WHERE IdMzdCalc = 222;
UPDATE pmzdcalc SET cisrad = 305 WHERE IdMzdCalc = 223;
UPDATE pmzdcalc SET cisrad = 117 WHERE IdMzdCalc = 225;
UPDATE pmzdcalc SET cisrad = 22 WHERE IdMzdCalc = 226;
UPDATE pmzdcalc SET cisrad = 248 WHERE IdMzdCalc = 227;
UPDATE pmzdcalc SET cisrad = 5 WHERE IdMzdCalc = 228;
UPDATE pmzdcalc SET cisrad = 23, idmzdslozin2 = 188 WHERE IdMzdCalc = 234;
UPDATE pmzdcalc SET cisrad = 27 WHERE IdMzdCalc = 236;
UPDATE pmzdcalc SET cisrad = 250 WHERE IdMzdCalc = 238;
UPDATE pmzdcalc SET cisrad = 247 WHERE IdMzdCalc = 239;
UPDATE pmzdcalc SET cisrad = 251 WHERE IdMzdCalc = 240;
UPDATE pmzdcalc SET cisrad = 253 WHERE IdMzdCalc = 241;
UPDATE pmzdcalc SET cisrad = 254 WHERE IdMzdCalc = 245;
UPDATE pmzdcalc SET cisrad = 255 WHERE IdMzdCalc = 247;
UPDATE pmzdcalc SET cisrad = 256 WHERE IdMzdCalc = 249;
UPDATE pmzdcalc SET cisrad = 173 WHERE IdMzdCalc = 250;
UPDATE pmzdcalc SET cisrad = 172 WHERE IdMzdCalc = 251;
UPDATE pmzdcalc SET cisrad = 174 WHERE IdMzdCalc = 252;
UPDATE pmzdcalc SET cisrad = 175 WHERE IdMzdCalc = 253;
UPDATE pmzdcalc SET cisrad = 177 WHERE IdMzdCalc = 254;
UPDATE pmzdcalc SET cisrad = 302 WHERE IdMzdCalc = 256;
UPDATE pmzdcalc SET cisrad = 195 WHERE IdMzdCalc = 258;
UPDATE pmzdcalc SET cisrad = 196 WHERE IdMzdCalc = 259;
UPDATE pmzdcalc SET cisrad = 197 WHERE IdMzdCalc = 260;
UPDATE pmzdcalc SET cisrad = 198 WHERE IdMzdCalc = 261;
UPDATE pmzdcalc SET cisrad = 200 WHERE IdMzdCalc = 262;
UPDATE pmzdcalc SET cisrad = 78, polein = 'hodiny' WHERE IdMzdCalc = 272;
UPDATE pmzdcalc SET cisrad = 79 WHERE IdMzdCalc = 274;
UPDATE pmzdcalc SET cisrad = 70 WHERE IdMzdCalc = 275;
UPDATE pmzdcalc SET cisrad = 68, zaokrjakk = 'zaokrJak.nahoru', zaokrnak = 'zaokrNa.jednotky', polein = 'hodiny' WHERE IdMzdCalc = 278;
UPDATE pmzdcalc SET cisrad = 69, polein2 = 'zaklMzd' WHERE IdMzdCalc = 280;
UPDATE pmzdcalc SET cisrad = 72, polein = 'hodiny', polein2 = 'prumNaHodNem' WHERE IdMzdCalc = 281;
UPDATE pmzdcalc SET popis = '', cisrad = 73 WHERE IdMzdCalc = 282;
UPDATE pmzdcalc SET cisrad = 75, polein2 = 'prumNaHodNem' WHERE IdMzdCalc = 288;
UPDATE pmzdcalc SET cisrad = 76 WHERE IdMzdCalc = 290;
UPDATE pmzdcalc SET cisrad = 85 WHERE IdMzdCalc = 291;
UPDATE pmzdcalc SET cisrad = 83 WHERE IdMzdCalc = 296;
UPDATE pmzdcalc SET cisrad = 84 WHERE IdMzdCalc = 297;
UPDATE pmzdcalc SET nazev = '----- Sumace sociálního pojištění  D', cisrad = 349 WHERE IdMzdCalc = 307;
UPDATE pmzdcalc SET nazev = '----- Sumace sociálního pojištění  C', cisrad = 351 WHERE IdMzdCalc = 308;
UPDATE pmzdcalc SET cisrad = 307 WHERE IdMzdCalc = 310;
UPDATE pmzdcalc SET cisrad = 308, polein = 'castMzd;zaklMzd', poleout = 'castMzd;zaklMzd' WHERE IdMzdCalc = 311;
UPDATE pmzdcalc SET cisrad = 170 WHERE IdMzdCalc = 312;
UPDATE pmzdcalc SET cisrad = 171 WHERE IdMzdCalc = 313;
UPDATE pmzdcalc SET cisrad = 164 WHERE IdMzdCalc = 320;
UPDATE pmzdcalc SET cisrad = 167 WHERE IdMzdCalc = 321;
UPDATE pmzdcalc SET cisrad = 168 WHERE IdMzdCalc = 322;
UPDATE pmzdcalc SET cisrad = 165 WHERE IdMzdCalc = 323;
UPDATE pmzdcalc SET cisrad = 166 WHERE IdMzdCalc = 324;
UPDATE pmzdcalc SET cisrad = 185 WHERE IdMzdCalc = 325;
UPDATE pmzdcalc SET cisrad = 189 WHERE IdMzdCalc = 326;
UPDATE pmzdcalc SET cisrad = 190 WHERE IdMzdCalc = 327;
UPDATE pmzdcalc SET cisrad = 309 WHERE IdMzdCalc = 328;
UPDATE pmzdcalc SET cisrad = 310 WHERE IdMzdCalc = 329;
UPDATE pmzdcalc SET cisrad = 311 WHERE IdMzdCalc = 330;
UPDATE pmzdcalc SET cisrad = 312 WHERE IdMzdCalc = 331;
UPDATE pmzdcalc SET cisrad = 26 WHERE IdMzdCalc = 332;
UPDATE pmzdcalc SET cisrad = 293 WHERE IdMzdCalc = 333;
UPDATE pmzdcalc SET cisrad = 34 WHERE IdMzdCalc = 336;
UPDATE pmzdcalc SET cisrad = 35 WHERE IdMzdCalc = 339;
UPDATE pmzdcalc SET cisrad = 4 WHERE IdMzdCalc = 341;
UPDATE pmzdcalc SET cisrad = 137 WHERE IdMzdCalc = 342;
UPDATE pmzdcalc SET cisrad = 138 WHERE IdMzdCalc = 343;
UPDATE pmzdcalc SET cisrad = 139 WHERE IdMzdCalc = 345;
UPDATE pmzdcalc SET cisrad = 140 WHERE IdMzdCalc = 346;
UPDATE pmzdcalc SET cisrad = 141 WHERE IdMzdCalc = 347;
UPDATE pmzdcalc SET cisrad = 142 WHERE IdMzdCalc = 348;
UPDATE pmzdcalc SET cisrad = 143 WHERE IdMzdCalc = 349;
UPDATE pmzdcalc SET cisrad = 144 WHERE IdMzdCalc = 350;
UPDATE pmzdcalc SET cisrad = 145 WHERE IdMzdCalc = 351;
UPDATE pmzdcalc SET cisrad = 234 WHERE IdMzdCalc = 353;
UPDATE pmzdcalc SET cisrad = 252 WHERE IdMzdCalc = 356;
UPDATE pmzdcalc SET nazev = '----- Sumace sociálního pojištění  A', cisrad = 348 WHERE IdMzdCalc = 358;
UPDATE pmzdcalc SET nazev = '----- Sumace sociálního pojištění  B', cisrad = 350 WHERE IdMzdCalc = 359;
UPDATE pmzdcalc SET cisrad = 220 WHERE IdMzdCalc = 361;
UPDATE pmzdcalc SET cisrad = 221 WHERE IdMzdCalc = 362;
UPDATE pmzdcalc SET cisrad = 222 WHERE IdMzdCalc = 363;
UPDATE pmzdcalc SET cisrad = 223 WHERE IdMzdCalc = 364;
UPDATE pmzdcalc SET cisrad = 225 WHERE IdMzdCalc = 365;
UPDATE pmzdcalc SET cisrad = 226 WHERE IdMzdCalc = 367;
UPDATE pmzdcalc SET cisrad = 227 WHERE IdMzdCalc = 368;
UPDATE pmzdcalc SET cisrad = 243 WHERE IdMzdCalc = 369;
UPDATE pmzdcalc SET cisrad = 244 WHERE IdMzdCalc = 370;
UPDATE pmzdcalc SET nazev = 'Náhráda za svátek', cisrad = 66, idmzdslozin = 21 WHERE IdMzdCalc = 377;
UPDATE pmzdcalc SET cisrad = 276 WHERE IdMzdCalc = 379;
UPDATE pmzdcalc SET cisrad = 277 WHERE IdMzdCalc = 380;
UPDATE pmzdcalc SET cisrad = 278 WHERE IdMzdCalc = 381;
UPDATE pmzdcalc SET cisrad = 279 WHERE IdMzdCalc = 382;
UPDATE pmzdcalc SET cisrad = 284 WHERE IdMzdCalc = 383;
UPDATE pmzdcalc SET cisrad = 285 WHERE IdMzdCalc = 384;
UPDATE pmzdcalc SET cisrad = 286 WHERE IdMzdCalc = 385;
UPDATE pmzdcalc SET cisrad = 288 WHERE IdMzdCalc = 386;
UPDATE pmzdcalc SET cisrad = 287 WHERE IdMzdCalc = 387;
UPDATE pmzdcalc SET cisrad = 313 WHERE IdMzdCalc = 388;
UPDATE pmzdcalc SET cisrad = 201 WHERE IdMzdCalc = 389;
UPDATE pmzdcalc SET cisrad = 210 WHERE IdMzdCalc = 390;
UPDATE pmzdcalc SET cisrad = 211 WHERE IdMzdCalc = 391;
UPDATE pmzdcalc SET cisrad = 212 WHERE IdMzdCalc = 392;
UPDATE pmzdcalc SET cisrad = 202 WHERE IdMzdCalc = 393;
UPDATE pmzdcalc SET cisrad = 204 WHERE IdMzdCalc = 394;
UPDATE pmzdcalc SET cisrad = 207 WHERE IdMzdCalc = 395;
UPDATE pmzdcalc SET cisrad = 203 WHERE IdMzdCalc = 397;
UPDATE pmzdcalc SET cisrad = 205 WHERE IdMzdCalc = 399;
UPDATE pmzdcalc SET cisrad = 206 WHERE IdMzdCalc = 401;
UPDATE pmzdcalc SET cisrad = 208 WHERE IdMzdCalc = 402;
UPDATE pmzdcalc SET cisrad = 209 WHERE IdMzdCalc = 404;
UPDATE pmzdcalc SET cisrad = 304 WHERE IdMzdCalc = 405;
UPDATE pmzdcalc SET cisrad = 214 WHERE IdMzdCalc = 407;
UPDATE pmzdcalc SET cisrad = 216 WHERE IdMzdCalc = 408;
UPDATE pmzdcalc SET cisrad = 39 WHERE IdMzdCalc = 409;
UPDATE pmzdcalc SET cisrad = 303 WHERE IdMzdCalc = 410;
UPDATE pmzdcalc SET cisrad = 81 WHERE IdMzdCalc = 411;
UPDATE pmzdcalc SET cisrad = 314 WHERE IdMzdCalc = 413;
UPDATE pmzdcalc SET cisrad = 315 WHERE IdMzdCalc = 414;
UPDATE pmzdcalc SET cisrad = 316 WHERE IdMzdCalc = 415;
UPDATE pmzdcalc SET cisrad = 317 WHERE IdMzdCalc = 416;
UPDATE pmzdcalc SET cisrad = 318 WHERE IdMzdCalc = 418;
UPDATE pmzdcalc SET cisrad = 319 WHERE IdMzdCalc = 420;
UPDATE pmzdcalc SET cisrad = 322 WHERE IdMzdCalc = 421;
UPDATE pmzdcalc SET cisrad = 323 WHERE IdMzdCalc = 422;
UPDATE pmzdcalc SET cisrad = 337 WHERE IdMzdCalc = 423;
UPDATE pmzdcalc SET cisrad = 325 WHERE IdMzdCalc = 424;
UPDATE pmzdcalc SET cisrad = 328 WHERE IdMzdCalc = 425;
UPDATE pmzdcalc SET cisrad = 320 WHERE IdMzdCalc = 426;
UPDATE pmzdcalc SET cisrad = 321 WHERE IdMzdCalc = 427;
UPDATE pmzdcalc SET cisrad = 324 WHERE IdMzdCalc = 428;
UPDATE pmzdcalc SET cisrad = 327 WHERE IdMzdCalc = 429;
UPDATE pmzdcalc SET cisrad = 336 WHERE IdMzdCalc = 430;
UPDATE pmzdcalc SET cisrad = 329 WHERE IdMzdCalc = 431;
UPDATE pmzdcalc SET cisrad = 330 WHERE IdMzdCalc = 432;
UPDATE pmzdcalc SET cisrad = 331 WHERE IdMzdCalc = 433;
UPDATE pmzdcalc SET cisrad = 333 WHERE IdMzdCalc = 434;
UPDATE pmzdcalc SET cisrad = 334 WHERE IdMzdCalc = 435;
UPDATE pmzdcalc SET kod = 'DOBÍRKA', cisrad = 335, idmzdslozout = 139 WHERE IdMzdCalc = 436;
UPDATE pmzdcalc SET cisrad = 131 WHERE IdMzdCalc = 437;
UPDATE pmzdcalc SET cisrad = 132 WHERE IdMzdCalc = 438;
UPDATE pmzdcalc SET cisrad = 133 WHERE IdMzdCalc = 439;
UPDATE pmzdcalc SET cisrad = 130 WHERE IdMzdCalc = 440;
UPDATE pmzdcalc SET cisrad = 122 WHERE IdMzdCalc = 445;
UPDATE pmzdcalc SET cisrad = 123 WHERE IdMzdCalc = 446;
UPDATE pmzdcalc SET cisrad = 124 WHERE IdMzdCalc = 447;
UPDATE pmzdcalc SET cisrad = 125 WHERE IdMzdCalc = 448;
UPDATE pmzdcalc SET cisrad = 126 WHERE IdMzdCalc = 449;
UPDATE pmzdcalc SET cisrad = 127 WHERE IdMzdCalc = 450;
UPDATE pmzdcalc SET cisrad = 128 WHERE IdMzdCalc = 451;
UPDATE pmzdcalc SET cisrad = 129 WHERE IdMzdCalc = 452;
UPDATE pmzdcalc SET cisrad = 340 WHERE IdMzdCalc = 454;
UPDATE pmzdcalc SET cisrad = 326 WHERE IdMzdCalc = 455;
UPDATE pmzdcalc SET cisrad = 298 WHERE IdMzdCalc = 456;
UPDATE pmzdcalc SET cisrad = 299 WHERE IdMzdCalc = 457;
UPDATE pmzdcalc SET cisrad = 300 WHERE IdMzdCalc = 458;
UPDATE pmzdcalc SET cisrad = 3 WHERE IdMzdCalc = 459;
UPDATE pmzdcalc SET cisrad = 154 WHERE IdMzdCalc = 460;
UPDATE pmzdcalc SET cisrad = 155 WHERE IdMzdCalc = 461;
UPDATE pmzdcalc SET cisrad = 156 WHERE IdMzdCalc = 462;
UPDATE pmzdcalc SET cisrad = 157 WHERE IdMzdCalc = 463;
UPDATE pmzdcalc SET cisrad = 150 WHERE IdMzdCalc = 464;
UPDATE pmzdcalc SET cisrad = 151 WHERE IdMzdCalc = 465;
UPDATE pmzdcalc SET cisrad = 152 WHERE IdMzdCalc = 466;
UPDATE pmzdcalc SET cisrad = 153 WHERE IdMzdCalc = 467;
UPDATE pmzdcalc SET cisrad = 160 WHERE IdMzdCalc = 468;
UPDATE pmzdcalc SET cisrad = 224 WHERE IdMzdCalc = 471;
UPDATE pmzdcalc SET cisrad = 241 WHERE IdMzdCalc = 472;
UPDATE pmzdcalc SET cisrad = 158 WHERE IdMzdCalc = 473;
UPDATE pmzdcalc SET cisrad = 159 WHERE IdMzdCalc = 474;
UPDATE pmzdcalc SET cisrad = 199 WHERE IdMzdCalc = 475;
UPDATE pmzdcalc SET cisrad = 176 WHERE IdMzdCalc = 476;
UPDATE pmzdcalc SET cisrad = 231 WHERE IdMzdCalc = 477;
UPDATE pmzdcalc SET cisrad = 267 WHERE IdMzdCalc = 478;
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (479, '2010-01-21 00:00:00.000', '2', 'Náhráda za svátek', true, 20, -1.0, 1.0, 0.0, 'hodinySvatek', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 21, 179);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (480, '2010-01-20 00:00:00.000', 'NEPATŘÍ DO PPP ', 'Dovolená', '', true, 118, 1.0, 1.0, 0.0, 'castMzd', '', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 2, 89);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (481, '2010-01-20 00:00:00.000', 'NEPATŘÍ DO PPP ', 'Náhráda za svátek', true, 67, 1.0, 1.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'castMzd', '', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 21, 89);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (482, '2010-01-20 00:00:00.000', '3', 'Měsíční mzda  - výpočet částky za hodinu', true, 33, 1.0, 0.0, 0.0, 'castMzd', 'hodiny', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.lomeno', false, 0, 1, 17, 17, 17);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (483, '2010-01-20 00:00:00.000', 'PRESČAS', 'Měsíční mzda ', true, 51, 1.0, 0.0, 0.0, 'castkaHod', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 17, 22);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (484, '2010-01-20 00:00:00.000', 'PRESČAS', 'Hodinová mzda', true, 52, 1.0, 0.0, 0.0, 'castkaHod', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 18, 22);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (485, '2010-01-20 00:00:00.000', 'PRESČAS', 'Mzda za práci přesčas', true, 53, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'castkaHod', 'hodiny', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 22, 22, 22);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (486, '2010-01-20 00:00:00.000', 'NEČERPANÁ DOVOLENÁ', 'Proplacení nevyčerpané dovolené', '', true, 119, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'hodiny', 'prumNaHodNem', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 47, 172, 47);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (487, '2010-01-20 00:00:00.000', 'NEPATŘÍ DO PPP ', 'Proplacení nevyčerpané dovolené', '', true, 120, 1.0, 1.0, 0.0, 'castMzd', '', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 47, 89);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (488, '2010-01-23 00:00:00.000', '16', 'Proplacení nevyčerpané dovolené', 'sumaa odpracované doby za minulé čtvrtletí', true, 341, -1.0, 1.0, 0.0, 'dnyPrac', 'dnyPrac', 0.0, 0.0, 'mzdCalcOper.plus', true, 0, 1, 47, 186);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (489, '2010-01-20 00:00:00.000', 'NÁHRADA ZA SVÁTEK', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', true, 60, 1.0, 0.0, 0.0, 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 172, 21);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (490, '2010-01-20 00:00:00.000', 'PŘIPLATEK ZA SVÁTEK', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', true, 71, 1.0, 0.0, 0.0, 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 172, 38);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (491, '2010-01-20 00:00:00.000', 'PŘÍPLATEK ZA S+N', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', true, 61, 1.0, 0.0, 0.0, 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 172, 34);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (492, '2010-01-20 00:00:00.000', 'PŘÍPLATEK ZA PŘESČAS', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', true, 62, 1.0, 0.0, 0.0, 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 172, 216);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (493, '2010-01-20 00:00:00.000', 'NEČERPANÁ DOVOLENÁ', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', true, 63, 1.0, 0.0, 0.0, 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 172, 47);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (494, '2010-01-20 00:00:00.000', 'DOVOLENÁ', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', true, 64, 1.0, 0.0, 0.0, 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 172, 2);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (495, '2010-01-23 00:00:00.000', 'DOBÍRKA', 'Záloha mimořádná', true, 338, -1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 137, 139);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (496, '2010-01-23 00:00:00.000', 'DOBÍRKA', 'Záloha řádná', true, 339, -1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 136, 139);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (497, '2010-01-20 00:00:00.000', 'NOČNÍ PŘÍPLATEK', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', true, 65, 1.0, 0.0, 0.0, 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 172, 36);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (498, '2010-01-21 00:00:00.000', 'OBECNÝ ZÁJEM', 'Překážky z důvodů obecného zájmu placené ', '', true, 114, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'hodiny', 'prumNaHodNem', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 11, 172, 11);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (499, '2010-01-21 00:00:00.000', '6', 'Překážky z důvodů obecného zájmu placené ', '', true, 115, 1.0, 1.0, 0.0, 'castMzd', '', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 11, 89);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (500, '2010-01-21 00:00:00.000', '6', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', '', true, 116, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 172, 11);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (501, '2010-01-21 00:00:00.000', 'PŘEKÁŽKY OSOBNÍ', 'Důležité osobní překážky v práci  (svatba, narození dítěte, vyšetření ve zdravotnickém zařízení aj. § 128) ', '', true, 108, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'hodiny', 'prumNaHodNem', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 10, 172, 10);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (502, '2010-01-21 00:00:00.000', '6', 'Důležité osobní překážky v práci  (svatba, narození dítěte, vyšetření ve zdravotnickém zařízení aj. § 128) ', '', true, 109, 1.0, 1.0, 0.0, 'castMzd', '', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 10, 89);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (503, '2010-01-21 00:00:00.000', '6', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', '', true, 110, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 172, 10);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (504, '2010-01-21 00:00:00.000', 'VOLNO PLACENÉ', 'Volno placené', '', true, 111, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'hodiny', 'prumNaHodNem', 'castMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 6, 172, 6);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (505, '2010-01-21 00:00:00.000', 'NEPATŘÍ DO PPP ', 'Volno placené', '', true, 112, 1.0, 1.0, 0.0, 'castMzd', '', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 6, 89);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (508, '2010-01-21 00:00:00.000', 'VOLNO PLACENÉ', 'Pracovně právní hodinový průměr pro náhradu mzdy za nemoc, dovolenou ', '', true, 113, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'prumNaHodNem', '', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 172, 6);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (509, '2010-01-21 00:00:00.000', 'NÁHRADA ZA SVÁTEK', 'Fond pracovní  doby v aktuálním měsíci', true, 18, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'hodinySvatek', '', 'hodinySvatek', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 1, 21);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, zaokrjakk, zaokrnak, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (510, '2010-01-25 00:00:00.000', 'NÁHRADA ZA SVÁTEK', '----- Vynulování hodin náhrady za svátek', 'Do pole procMzd si nastavim hodontu - 1 bude náhrada za svátek 0 nebude náhrada', true, 19, 1.0, 0.0, 0.0, 'zaokrJak.nahoru', 'zaokrNa.jednotky', 'hodinySvatek', 'procMzd', 'hodinySvatek', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, 1, 21, 21, 21);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (511, '2010-01-22 00:00:00.000', 'KOEF. PRO MĚS.MZDU ', 'Připočtení dnů ve svátek', true, 1, 1.0, 0.0, 0.0, 'dnyPrac;dnyKal;dnySvatek;hodiny;hodinySvatek', '', 'dnyPrac;dnyKal;dnySvatek;hodiny;hodinySvatek', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 1, 188);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (512, '2010-01-22 00:00:00.000', 'KOEF. PRO MĚS.MZDU ', 'Fond pracovní  doby v aktuálním měsíci', true, 2, 1.0, 1.0, 0.0, 'hodinySvatek;dnySvatek', '', 'hodiny;dnyPrac', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 1, 188);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (513, '2010-01-22 00:00:00.000', '11', 'Základ pro výpočet daně - superhubá mzda', true, 249, 1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 107, 118);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (514, '2010-01-23 00:00:00.000', 'DOBÍRKA', 'Čistá mzda ', true, 297, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 140, 139);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (516, '2010-01-23 00:00:00.000', '9', '---- Základ pro sociální pojištění po akceptování limitu', true, 342, 1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 201, 99);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (517, '2010-01-23 00:00:00.000', 'SOC.FIR.NEMOC', '---- Základ pro sociální pojištění po akceptování limitu', true, 343, 1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 201, 100);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (518, '2010-01-23 00:00:00.000', 'SOC.FIR.NEZAM.', '---- Základ pro sociální pojištění po akceptování limitu', true, 344, 1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 201, 101);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (519, '2010-01-23 00:00:00.000', 'SOC.POJ.CELKEM', '---- Základ pro sociální pojištění po akceptování limitu', true, 345, 1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 201, 217);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (520, '2010-01-23 00:00:00.000', 'SOC.POJ.PRACOVNÍK', '---- Základ pro sociální pojištění po akceptování limitu', true, 346, 1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 201, 98);
INSERT INTO pmzdcalc (idmzdcalc, lastUpdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (521, '2010-01-23 00:00:00.000', 'SOC.FIR.DŮCHOD', '---- Základ pro sociální pojištění po akceptování limitu', true, 347, 1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 201, 99);

PERFORM pg_catalog.setval('seq_pmzdcalc', 521, true);

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 232, 't');
