--------------------------------------------------------------------------------
-- Bug 34459 – winstrom mzdy - měsíční bonus nad 50 Kč
-- Bug 34460 – winstrom mzdy - zaokrouhlení srážkové daně
-- Bug 34707 – winstrom mzdy - srážka II.pilíř zaokrouhlení
--------------------------------------------------------------------------------

ALTER TABLE pmzdcalc ADD COLUMN vyslodhodnoty numeric(19,6) DEFAULT 0.0;
ALTER TABLE pmzdcalc ADD COLUMN vysldohodnoty numeric(19,6) DEFAULT 0.0;

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
-- inicializace
-- radky
UPDATE pmzdcalc SET vyslodhodnoty = 50.0, vysldohodnoty = 9.999999999999E12 WHERE idmzdcalc = 3365;
UPDATE pmzdcalc SET zaokrjakk = 'zaokrJak.dolu' WHERE idmzdcalc = 3376;
UPDATE pmzdcalc SET zaokrjakk = 'zaokrJak.nahoru', zaokrnak = 'zaokrNa.jednotky' WHERE idmzdcalc = 3618;

-- parametry pomeru
-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 729, 't', %appVersion%, clock_timestamp());
