----------------------------------------------------------------------------------
-- Bug 34420 – [WinStrom] Sklad - převodka - u výdejky pro převod zadat sklad cíl
----------------------------------------------------------------------------------

alter table ddoklsklad add column idskladcil integer;
alter table ddoklsklad add constraint ddoklsklad_idskladcil FOREIGN KEY (idskladcil)
      REFERENCES dbsp (idbsp) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;
CREATE INDEX dDoklSklad_IdSkladCil_index ON dDoklSklad USING btree (IdSkladCil);

alter table ddoklobch add column idskladcil integer;
alter table ddoklobch add constraint ddoklobch_idskladcil FOREIGN KEY (idskladcil)
      REFERENCES dbsp (idbsp) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;
CREATE INDEX dDoklObch_IdSkladCil_index ON dDoklObch USING btree (IdSkladCil);

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 737, 't', %appVersion%, clock_timestamp());
