--------------------------------------------------------------------------------
-- Bug 38082 – flexibee mzdy - chybně počítaná SHM
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
UPDATE pmzdcalc SET nazev = 'Základ pro výpočet sociální pojištění, který nepřekračuje roční limit', koeficient = 0.25, polein = 'zaklMzd;zaklMzd', idmzdslozin = 201 WHERE idmzdcalc = 5372;
-- hlavicka
-- radky
-- parametry pomeru
-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

alter table uclenkonvykdph
  add column vyplnCisKod boolean not null default false,
  add column vyplnDruh boolean not null default false,
  add column kodTransakce character varying(20);

update uclenkonvykdph set kodTransakce = replace(kod, '.', '');
update uclenkonvykdph set vyplnCisKod = true, vyplnDruh = true
  where uuid = 'SK A.2.';

INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid) 
VALUES ('2013-12-23 13:29:38.933', 'C.1.-MJ', 'C1', 'Údaje z vyhotovenej opravnej faktúry (podľa § 69 odst. 12)', NULL, NULL, NULL, 'Údaje z vyhotovenej opravnej faktúry (podľa § 69 odst. 12)', NULL, true, 9999, 0, (select IdStatu from aStaty where uuid  like '%_SK'), true, true, 'SK C.1.MJ');

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 820, 't', %appVersion%, clock_timestamp());
