--------------------------------------------------------------------------------
-- Bug 38435 – [Flexibee] - Mzdy - měsíční výkaz pro zdravotní pojišťovny - špatné počty lidiček
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
UPDATE pmzdcalc SET ispv = false WHERE idmzdcalc = 2586;
UPDATE pmzdcalc SET ispv = false WHERE idmzdcalc = 2587;
UPDATE pmzdcalc SET ispv = false WHERE idmzdcalc = 3328;
UPDATE pmzdcalc SET ispv = false WHERE idmzdcalc = 3329;
UPDATE pmzdcalc SET ispv = false WHERE idmzdcalc = 4330;
UPDATE pmzdcalc SET ispv = false WHERE idmzdcalc = 4331;
UPDATE pmzdcalc SET ispv = false WHERE idmzdcalc = 5356;
UPDATE pmzdcalc SET ispv = false WHERE idmzdcalc = 5357;
-- hlavicka
-- radky
-- parametry pomeru
-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 834, 't', %appVersion%, clock_timestamp());
