--------------------------------------------------------------------------------
-- Bug 35054 – [Legis] Nové účty 416 a 426 + úprava rozvahy - podvoj.účetnictví podnikatelé
-- Bug 38901 – Rozvaha nevýdělečné organizace - označení řádků
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    _idtyporg integer;
begin
  select idtyporg into _idtyporg from nnastav where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);

  if (_idtyporg = 1) then
-- pridani uctu
INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
 VALUES ('2014-05-27 00:00:00.000', '416', 'Rozdíly z ocenění při přeměnách společností', true, 2014, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_416');
INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
 VALUES ('2014-05-27 00:00:00.000', '426', 'Jiný výsledek hospodaření minulých let', true, 2014, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_426');

-- radky sestavy
UPDATE usesradky SET cisrad = 82 WHERE idsesradky = 56;
UPDATE usesradky SET cisrad = 83 WHERE idsesradky = 57;
UPDATE usesradky SET cisrad = 85 WHERE idsesradky = 58;
UPDATE usesradky SET cisrad = 86 WHERE idsesradky = 59;
UPDATE usesradky SET cisrad = 88 WHERE idsesradky = 60;
UPDATE usesradky SET cisrad = 91 WHERE idsesradky = 61;
UPDATE usesradky SET cisrad = 92 WHERE idsesradky = 62;
UPDATE usesradky SET cisrad = 93 WHERE idsesradky = 63;
UPDATE usesradky SET cisrad = 97 WHERE idsesradky = 64;
UPDATE usesradky SET cisrad = 98 WHERE idsesradky = 65;
UPDATE usesradky SET cisrad = 100 WHERE idsesradky = 66;
UPDATE usesradky SET cisrad = 105 WHERE idsesradky = 67;
UPDATE usesradky SET cisrad = 107 WHERE idsesradky = 68;
UPDATE usesradky SET cisrad = 108 WHERE idsesradky = 69;
UPDATE usesradky SET cisrad = 109 WHERE idsesradky = 70;
UPDATE usesradky SET cisrad = 110 WHERE idsesradky = 71;
UPDATE usesradky SET cisrad = 111 WHERE idsesradky = 72;
UPDATE usesradky SET cisrad = 112 WHERE idsesradky = 73;
UPDATE usesradky SET cisrad = 113 WHERE idsesradky = 74;
UPDATE usesradky SET cisrad = 114 WHERE idsesradky = 75;
UPDATE usesradky SET cisrad = 115 WHERE idsesradky = 76;
UPDATE usesradky SET cisrad = 116 WHERE idsesradky = 77;
UPDATE usesradky SET cisrad = 117 WHERE idsesradky = 78;
UPDATE usesradky SET cisrad = 119 WHERE idsesradky = 79;
UPDATE usesradky SET cisrad = 120 WHERE idsesradky = 80;
UPDATE usesradky SET cisrad = 121 WHERE idsesradky = 81;
UPDATE usesradky SET cisrad = 123 WHERE idsesradky = 82;
UPDATE usesradky SET cisrad = 124 WHERE idsesradky = 83;
UPDATE usesradky SET cisrad = 89 WHERE idsesradky = 105;
UPDATE usesradky SET cisrad = 122 WHERE idsesradky = 106;
UPDATE usesradky SET cisrad = 84 WHERE idsesradky = 107;
UPDATE usesradky SET cisrad = 81 WHERE idsesradky = 108;
UPDATE usesradky SET cisrad = 90 WHERE idsesradky = 111;
UPDATE usesradky SET cisrad = 95 WHERE idsesradky = 112;
UPDATE usesradky SET cisrad = 106 WHERE idsesradky = 113;
UPDATE usesradky SET cisrad = 118 WHERE idsesradky = 114;
UPDATE usesradky SET cisrad = 94 WHERE idsesradky = 115;
UPDATE usesradky SET cisrad = 102 WHERE idsesradky = 116;
UPDATE usesradky SET cisrad = 104 WHERE idsesradky = 117;
UPDATE usesradky SET cisrad = 103 WHERE idsesradky = 118;
UPDATE usesradky SET cisrad = 101 WHERE idsesradky = 119;
UPDATE usesradky SET cisrad = 99 WHERE idsesradky = 120;
UPDATE usesradky SET cisrad = 96 WHERE idsesradky = 121;
UPDATE usesradky SET cisrad = 125 WHERE idsesradky = 122;
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (186, '2014-05-27 00:00:00.000', 80, 'P  A   II   6', 'Rozdíly z ocenění při přeměnách společností', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (187, '2014-05-27 00:00:00.000', 87, 'P  A  IV   3', 'Jiný výsledek hospodaření minulých let', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 1);

-- standardni predpisy
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (451, '2014-05-27 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 186, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_416'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (452, '2014-05-27 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 187, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_426'));

-- doplneni sumaci
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (380, '2014-05-27 00:00:00.000', false, 107, 187);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (381, '2014-05-27 00:00:00.000', false, 110, 186);
  end if;
  
  if (_idtyporg = 4) then
    UPDATE usesradky SET oznaceni = 'P.   B.        III   22' WHERE idsesradky = 20073;
    UPDATE usesradky SET oznaceni = 'P.   B.        III   23' WHERE idsesradky = 20231;
  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 850, 't', %appVersion%, clock_timestamp());

