-- Bug 39947 - Neprochází import ceníku z XML (sesijama)

--mažu aktualizaci lastupdate
CREATE OR REPLACE FUNCTION ccenikupdateskarta()
  RETURNS trigger AS $$
begin
  IF ( not compareVarchar(NEW.nazev, OLD.nazev) OR
       not compareVarchar(NEW.nazeva, OLD.nazeva) OR
       not compareVarchar(NEW.nazevb, OLD.nazevb) OR
       not compareVarchar(NEW.nazevc, OLD.nazevc) OR
       not compareVarchar(NEW.popis,  OLD.popis) OR
       not compareVarchar(NEW.popisa, OLD.popisa) OR
       not compareVarchar(NEW.popisb, OLD.popisb) OR
       not compareVarchar(NEW.popisc, OLD.popisc) OR
       not compareVarchar(NEW.poznam, OLD.poznam) ) THEN 
    UPDATE skarty
    SET nazev = NEW.nazev, nazeva = NEW.nazeva,
        nazevb = NEW.nazevb, nazevc = NEW.nazevc,
        cenpopis = NEW.popis, cenpopisa = NEW.popisa, 
        cenpopisb = NEW.popisb, cenpopisc = NEW.popisc,
        cenpoznam = NEW.poznam
    WHERE idcenik = NEW.idcenik;
  END IF; 
  
  return NEW;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION public.ccenikupdateskarta() OWNER TO %firmaRole%;


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 914, 't', %appVersion%, clock_timestamp());