--Bug 43709 - Do číselníku přidat řádky českého hlášení DPH

 create or replace function runupgrade()
   returns void as $$
 declare
   _idstatu integer;
 begin
    select IdStatu into _idstatu from aStaty where uuid  like '%_CZ';
 
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'A.1.', 'A1', 'Uskutečněná zdanitelná plnění v režimu PDP, § 92a', NULL, NULL, NULL, 'Uskutečněná zdanitelná plnění v režimu přenesení daňové povinnosti, u kterých je povinen přiznat daň příjemce plnění podle § 92a', NULL, true, 9999, 0, _idstatu, false, false,  'CZ A.1.');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'A.2.', 'A2', 'Přijatá zdanitelná plnění § 108 odst. 1 písm. b) a c) (§ 24, § 25)', NULL, NULL, NULL, 'Přijatá zdanitelná plnění, u kterých je povinen přiznat daň příjemce dle § 108 odst. 1 písm. b) a c) (§ 24, § 25)', NULL, true, 9999, 0, _idstatu, false, false,  'CZ A.2.');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'A.3.', 'A3', 'Uskutečněná plnění podle § 101c odst. 1 písm. c) bod 2', NULL, NULL, NULL, 'Uskutečněná plnění ve zvláštním režimu pro investiční zlato podle § 101c odst. 1 písm. c) bod 2', NULL, true, 9999, 0, _idstatu, false, false,  'CZ A.3.');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'A.4.-0', 'A4', 'Uskutečněná zdanitelná plnění nad 10.000 Kč vč. daně', NULL, NULL, NULL, 'Uskutečněná zdanitelná plnění a přijaté úplaty s povinností přiznat daň dle § 108 odst. 1 písm. a) s hodnotou nad 10.000 Kč včetně daně', NULL, true, 9999, 0, _idstatu, false, false,  'CZ A.4.0');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'A.4.-1', 'A4', 'Uskutečněná zdanitelná plnění nad 10.000 Kč vč. daně, § 89', NULL, NULL, NULL, 'Uskutečněná zdanitelná plnění a přijaté úplaty s povinností přiznat daň dle § 108 odst. 1 písm. a) s hodnotou nad 10.000 Kč včetně daně, dle § 89 ZDPH', NULL, true, 9999, 0, _idstatu, false, false,  'CZ A.4.1');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'A.4.-2', 'A4', 'Uskutečněná zdanitelná plnění nad 10.000 Kč vč. daně, § 90', NULL, NULL, NULL, 'Uskutečněná zdanitelná plnění a přijaté úplaty s povinností přiznat daň dle § 108 odst. 1 písm. a) s hodnotou nad 10.000 Kč včetně daně, dle § 90 ZDPH', NULL, true, 9999, 0, _idstatu, false, false,  'CZ A.4.2');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'A.4.-0-44', 'A4', 'Uskutečněná zdanitelná plnění nad 10.000 Kč vč. daně, § 44', NULL, NULL, NULL, 'Uskutečněná zdanitelná plnění a přijaté úplaty s povinností přiznat daň dle § 108 odst. 1 písm. a) s hodnotou nad 10.000 Kč včetně daně, opravy, dle § 44 ZDPH', NULL, true, 9999, 0, _idstatu, false, false,  'CZ A.4.0.44');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'A.4.-1-44', 'A4', 'Uskutečněná zdanitelná plnění nad 10.000 Kč vč. daně, § 89, opravy § 44', NULL, NULL, NULL, 'Uskutečněná zdanitelná plnění a přijaté úplaty s povinností přiznat daň dle § 108 odst. 1 písm. a) s hodnotou nad 10.000 Kč včetně daně, dle § 89 ZDPH, opravy, dle § 44 ZDPH', NULL, true, 9999, 0, _idstatu, false, false,  'CZ A.4.1.44');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'A.4.-2-44', 'A4', 'Uskutečněná zdanitelná plnění nad 10.000 Kč vč. daně, § 90, opravy § 44', NULL, NULL, NULL, 'Uskutečněná zdanitelná plnění a přijaté úplaty s povinností přiznat daň dle § 108 odst. 1 písm. a) s hodnotou nad 10.000 Kč včetně daně, dle § 90 ZDPH, opravy, dle § 44 ZDPH', NULL, true, 9999, 0, _idstatu, false, false,  'CZ A.4.2.44');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'A.5.', 'A5', 'Ostatní uskutečněná zdanitelná plnění', NULL, NULL, NULL, 'Ostatní uskutečněná zdanitelná plnění a přijaté úplaty s povinností přiznat daň dle § 108 odst. 1 písm. a) s hodnotou do 10.000 Kč včetně daně, nebo plnění, u nichž nevznikla povinnost vystavit daňový doklad', NULL, true, 9999, 0, _idstatu, false, false,  'CZ A.5.');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'B.1.', 'B1', 'Přijatá zdanitelná plnění v režimu PDP, § 92', NULL, NULL, NULL, 'Přijatá zdanitelná plnění v režimu přenesení daňové povinnosti, u kterých je povinen přiznat daň příjemce podle § 92a', NULL, true, 9999, 0, _idstatu, false, false,  'CZ B.1.');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'B.2.', 'B2', 'Přijatá zdanitelná plnění nad 10.000 Kč  vč. daně', NULL, NULL, NULL, 'Přijatá zdanitelná plnění a poskytnuté úplaty, u kterých příjemce uplatňuje nárok na odpočet daně dle § 73 odst. 1 písm. a) s hodnotou nad 10.000 Kč včetně daně', NULL, true, 9999, 0, _idstatu, false, false,  'CZ B.2.');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'B.2.-POM', 'B2', 'Přijatá zdanitelná plnění nad 10.000 Kč vč. daně, poměr', NULL, NULL, NULL, 'Přijatá zdanitelná plnění a poskytnuté úplaty, u kterých příjemce uplatňuje nárok na odpočet daně dle § 73 odst. 1 písm. a) s hodnotou nad 10.000 Kč včetně daně, použit poměr', NULL, true, 9999, 0, _idstatu, false, false,  'CZ B.2.POM');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'B.2.-44', 'B2', 'Přijatá zdanitelná plnění nad 10.000 Kč vč. daně, opravy § 44', NULL, NULL, NULL, 'Přijatá zdanitelná plnění a poskytnuté úplaty, u kterých příjemce uplatňuje nárok na odpočet daně dle § 73 odst. 1 písm. a) s hodnotou nad 10.000 Kč včetně daně, opravy, dle § 44 ZDPH', NULL, true, 9999, 0, _idstatu, false, false,  'CZ B.2.44');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'B.2.-POM-44', 'B2', 'Přijatá zdanitelná plnění nad 10.000 Kč vč. daně, poměr, opravy § 44', NULL, NULL, NULL, 'Přijatá zdanitelná plnění a poskytnuté úplaty, u kterých příjemce uplatňuje nárok na odpočet daně dle § 73 odst. 1 písm. a) s hodnotou nad 10.000 Kč včetně daně, použit poměr, opravy, dle § 44 ZDPH', NULL, true, 9999, 0, _idstatu, false, false,  'CZ B.2.POM.44');
        INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
        VALUES ('2015-11-10 15:33:00.000', 'B.3.', 'B3', 'Přijatá zdanitelná plnění do 10.000 Kč vč. daně', NULL, NULL, NULL, 'Přijatá zdanitelná plnění a poskytnuté úplaty, u kterých příjemce uplatňuje nárok na odpočet daně dle § 73 odst. 1 písm. a) s hodnotou do 10.000 Kč včetně daně', NULL, true, 9999, 0, _idstatu, false, false,  'CZ B.3.');

 end;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;
 
 select runupgrade();
 
 drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 952, 't', %appVersion%, clock_timestamp());
