<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>
    <xsl:output method="xml" indent="yes" encoding="utf-8" />

    <xsl:key name="cisloKey" match="_Řádky_prodejek" use="Kód_EAN"/>

    <xsl:template match="/Root">
        <winstrom version="1.0">
            <xsl:apply-templates select="_Řádky_prodejek"/> 
        </winstrom>
    </xsl:template>


<!--
/usr/share/flexibee/bin/flexibee2xml -t prodejka-cenik-in.xslt -x prodejky-radky.xml -o prodejka-cenik.xml
-->

    <xsl:template match="_Řádky_prodejek">
	<xsl:if test="generate-id(.) = generate-id(key('cisloKey', Kód_EAN)[1])">
             <xsl:if test="Kód_EAN != ''">
		    <cenik update="ignore">
			<id>ean:<xsl:value-of select="java:flexibee.Tool.toUpper(Kód_EAN)"/></id>
			<kod><xsl:value-of select="java:flexibee.Tool.toUpper(Kód_EAN)"/></kod>
			<kodEan><xsl:value-of select="java:flexibee.Tool.toUpper(Kód_EAN)"/></kodEan>
			<nazev>Již smazané zboží: <xsl:value-of select="java:flexibee.Tool.toUpper(Kód_EAN)"/></nazev>
			<skladove>true</skladove>
<!--			<platiDo>2010</platiDo> -->
		    </cenik>
             </xsl:if>
	</xsl:if>

    </xsl:template>

</xsl:stylesheet>
