<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>
    <xsl:output method="xml" indent="yes" encoding="utf-8" />

    <xsl:template match="/Root">
        <winstrom version="1.0">
            <xsl:apply-templates select="Střediska"/>
        </winstrom>
    </xsl:template>

    <xsl:template match="/Střediska">
        <winstrom version="1.0">
            <xsl:apply-templates select="Střediska"/>
        </winstrom>
    </xsl:template>

<!--
.\flexibee2xml.exe -t adresar.in.xslt -x adresar.out.xml -o vystup.xml 2>a.out
kod, nazev
-->

    <xsl:template match="Střediska">
        <stredisko>
            <id>ext:4DD-STRED:<xsl:value-of select="java:flexibee.Tool.toUpper(Č.střediska)"/></id>
            <id>code:<xsl:value-of select="java:flexibee.Tool.toUpper(Č.střediska)"/></id>
            <kod><xsl:value-of select="java:flexibee.Tool.toUpper(Č.střediska)"/></kod>
            <xsl:choose>
                <xsl:when test="java:flexibee.Tool.trim(Název_stř.) != ''">
                    <nazev><xsl:value-of select="Název_stř."/></nazev>
                </xsl:when>
                <xsl:otherwise>
                    <nazev><xsl:value-of select="Č.střediska"/></nazev>
                </xsl:otherwise>
            </xsl:choose>
            <poznam><xsl:value-of select="Poznámka"/></poznam>
        </stredisko>
    </xsl:template>

</xsl:stylesheet>
